<?php
/************************************************************************/
/*                                WEBSHARE                              */
/************************************************************************/
//
// Copyright (c) 2009 by Virginie Vivancos
// http://www.webshare.fr
//
// This program is free software. You can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License.
//
// =======================================================================
// Fonction : Effectue la copie ou le déplacement de(s) fichier(s)
// Nom      : coller.php
// Version  : 0.8.2
// Date     : 24/04/09
// =======================================================================
// WebShare0.8.2ακ1.7 : 2012 Tanabata version.
// Reformed by kiyoshi@kuragane.jp / 2012.02.09(κ1.0) - 2013.11.23(κ1.7.1)
// =======================================================================

//// ファイルやディレクトリの移動やコピー、ペーストをする。
//// うまく動かなかったのでコードを修正。
//// いちおうごみ箱にも対応させたがごみ箱メニューにコピー、ペーストは表示していない。

header ("Content-type: text/html; charset=utf-8");

session_start();
include_once "auth.php";
include_once "../wspasswd/define.php";
include_once "fonctions.php";

// L'utilisateur ne peut pas effectuer d'opération au dessus de sa racine virtuelle
verifie($_REQUEST["objetDepart"]);
verifie($_REQUEST["destination"]);

$l_sql = new class_sql();
$l_sql->connect();

// L'utilisateur doit être autorisé à effectuer l'opération
$typeCopie = isset($_REQUEST["clipboardMode"]) ? trim($_REQUEST["clipboardMode"]) : '';
if($_SESSION["ws"]["auth4"] == "on" && $typeCopie) //// 移動の権限がありコピータイプが設定されている。
{
	//// 拒絶事項か否かチェック。
	// Teste si la variable de copie/déplacement n'est pas vide
	// Vérifie l'absence d'expressions interdites dans le nom
	if(preg_match($_SESSION["ws"]["varsUser"], $_REQUEST["objetDepart"]))
	{
		echo $_SESSION["ws"]["dia"]["noPermission"];
		$tabLog = array("12", "-1", $_SESSION["ws"]["dia"]["noPermission"], $_SESSION["ws"]["nomUser"], $_SESSION["ws"]["dossierActif"], $_REQUEST["objetDepart"], "");
		$l_sql->logAction($tabLog);
		exit;
	}

	// Récupération des paramètres
	$depart      = stripslashes(rawurldecode(trim($_REQUEST["objetDepart"])));
	$nomDepart   = filename(blindeChemin($depart));
	$_SESSION["ws"]["progress"] = $nomDepart;
	$destination = stripslashes(rawurldecode(trim($_REQUEST["destination"])));
	$typeFichier = trim($_REQUEST["clipboardType"]);
	// Formatage des chemins de départ et d'arrivée
	$nomSrvDepart  = trim($_REQUEST["clipboardSrv"]);
	$nomSrvDestin  = $_SESSION["ws"]["serveurActif"];
	$typeSrvDepart = $_SESSION["ws"]["$nomSrvDepart"]["typeServeur"];
	$typeSrvDestin = $_SESSION["ws"]["$nomSrvDestin"]["typeServeur"];
	$cheminDepart  =  blindeChemin($_SESSION["ws"]["$nomSrvDepart"]["rootServeur"]."/".$_SESSION["ws"]["$nomSrvDepart"]["repServeur"]."/".$depart);
	$cheminDestin  =  blindeChemin($_SESSION["ws"]["$nomSrvDestin"]["rootServeur"]."/".$_SESSION["ws"]["$nomSrvDestin"]["repServeur"]."/".$destination."/".$nomDepart);
	$cheminTemp    =  blindeChemin($_SESSION["ws"]["tempDir"]."/".filename($cheminDepart));

	// Connexion au serveur FTP
	if($typeSrvDepart == 2){ $_SESSION["ws"]["$nomSrvDepart"]["connexion"] = connexionFTP($nomSrvDepart); }
	if($typeSrvDestin == 2){ $_SESSION["ws"]["$nomSrvDestin"]["connexion"] = connexionFTP($nomSrvDestin); }

	// Si les chemins de départ et d'arrivée sont identiques, on crée une simple copie de l'élément
	if($nomSrvDepart == $nomSrvDestin && $cheminDepart == $cheminDestin)
	{
		$prefixNum = 1;
		while(F_is_dir($nomSrvDestin, $cheminDestin) || F_is_file($nomSrvDestin, $cheminDestin))
		{
			++$prefixNum;
			$cheminDestin = blindeChemin(dirname($cheminDestin)."/$prefixNum-$nomDepart");
		}
	}

	//// 移動元と移動先が同じなら何もしない。
	if(dirname($cheminDepart) == dirname($cheminDestin))
	{
		$l_sql->disconnect();
		exit;
	}
	//// 移動元ディレクトリと移動先ディレクトリに書込権限があるか。
	$permDepart = preg_match('@W@', F_gestion($nomSrvDepart, dirname($cheminDepart)));
	$permDestin = preg_match('@W@', F_gestion($nomSrvDestin, dirname($cheminDestin)));
	if(!$permDepart || !$permDestin)
	{
		echo $_SESSION["ws"]["dia"]["noPermission"];
		$tabLog = array("12", "-1", $_SESSION["ws"]["dia"]["noPermission"], $_SESSION["ws"]["nomUser"], $_SESSION["ws"]["dossierActif"], $_REQUEST["objetDepart"], "");
		$l_sql->logAction($tabLog);
		$l_sql->disconnect();
		exit;
	}


	// L'élément est un fichier
	if($typeFichier != "dossier") // Copie du fichier //// フォルダ以外。
	{
		if(($resultat = F_copy($nomSrvDepart, $cheminDepart, $nomSrvDestin, $cheminDestin)) !== false)
		{
			moveMiniComfav($nomSrvDepart, $cheminDepart, 'copy', $nomSrvDestin, $cheminDestin); //// 追加。サムネイルとコメント。
			// ou déplacement du fichier
			if($typeCopie == "move")
			{
				if(F_unlink($nomSrvDepart, $cheminDepart) !== false)
				{
					moveMiniComfav($nomSrvDepart, $cheminDepart, 'delete'); //// 追加。サムネイルとコメント。
					$message= $_SESSION["ws"]["dia"]["theFile"]." '".$nomDepart."' ".$_SESSION["ws"]["dia"]["hasBeen"]." ".$_SESSION["ws"]["dia"]["moved"]." ".$_SESSION["ws"]["dia"]["withSuccess"].".";
				}
				else
				{
					$message= $_SESSION["ws"]["dia"]["theFile"]." '".$nomDepart."' ".$_SESSION["ws"]["dia"]["hasNotBeen"]." ".$_SESSION["ws"]["dia"]["moved"].", ".$_SESSION["ws"]["dia"]["onlyCopy"];
				}
			}
			else //// copy
			{
				$message= $_SESSION["ws"]["dia"]["theFile"]." '".$nomDepart."' ".$_SESSION["ws"]["dia"]["hasBeen"]." ".$_SESSION["ws"]["dia"]["copied"]." ".$_SESSION["ws"]["dia"]["withSuccess"].".";
			}
		}
		else
		{
			$message = $_SESSION["ws"]["dia"]["theFile"]." '".$nomDepart."' ".$_SESSION["ws"]["dia"]["hasNotBeen"]." ".(($typeCopie=="move") ? $_SESSION["ws"]["dia"]["moved"]." ".$erreur : $_SESSION["ws"]["dia"]["copied"].". ".$erreur);
		}
	}
	else // L'élément est un dossier //// フォルダ
	{
		// Copie d'un dossier
		if(F_mkdir($nomSrvDestin, $cheminDestin) === false)
		{
			$message = $_SESSION["ws"]["dia"]["theDir"]." '".$nomDepart."' ".$_SESSION["ws"]["dia"]["hasNotBeen"]." ".(($typeCopie=="move")?$_SESSION["ws"]["dia"]["moved"]." ".$erreur:$_SESSION["ws"]["dia"]["copied"].". ".$erreur);
		}
		else
		{
			if(F_copieScandir($nomSrvDepart, $cheminDepart, $nomSrvDestin, $cheminDestin) === false)
			{
				$message= $_SESSION["ws"]["dia"]["theDir"]." '".$nomDepart."' ".$_SESSION["ws"]["dia"]["hasNotBeen"]." ".(($typeCopie=="move")?$_SESSION["ws"]["dia"]["moved"]." ".$erreur:$_SESSION["ws"]["dia"]["copied"].". ".$erreur);
			}
			else
			{
				// ou déplacement d'un dossier
				if($typeCopie == "move")
				{
					if(F_removeScandir($nomSrvDepart, $cheminDepart) === false)
					{
						$message = $_SESSION["ws"]["dia"]["theDir"]." '".$nomDepart."' ".$_SESSION["ws"]["dia"]["hasNotBeen"]." ".$_SESSION["ws"]["dia"]["moved"].", ".$_SESSION["ws"]["dia"]["onlyCopy"];
					}
					else
					{
						$message= $_SESSION["ws"]["dia"]["theDir"]." '".$nomDepart."' ".$_SESSION["ws"]["dia"]["hasBeen"]." ".$_SESSION["ws"]["dia"]["moved"]." ".$_SESSION["ws"]["dia"]["withSuccess"].".";
					}
				}
				else
				{
					$message= $_SESSION["ws"]["dia"]["theDir"]." '".$nomDepart."' ".$_SESSION["ws"]["dia"]["hasBeen"]." ".$_SESSION["ws"]["dia"]["copied"]." ".$_SESSION["ws"]["dia"]["withSuccess"].".";
				}
			}
		}
	}

	if($typeSrvDepart == 2){ closeFTP($nomSrvDepart); }
	if($typeSrvDestin == 2){ closeFTP($nomSrvDestin); }
}
else //// 権限なし。
{
	$message = $_SESSION["ws"]["dia"]["prohibited"];
}

echo $message;
$_SESSION["ws"]["progress"] = "";
$tabLog = array("12", "1", $message, $_SESSION["ws"]["nomUser"], $_SESSION["ws"]["dossierActif"], $destination, "");
$l_sql->logAction($tabLog);
$l_sql->disconnect();

?>
