<?php
/************************************************************************/
/*                                WEBSHARE                              */
/************************************************************************/
//
// Copyright (c) 2009 by Virginie Vivancos
// http://www.webshare.fr
//
// This program is free software. You can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License.
//
// =======================================================================
// Fonction : Ajoute un commentaire sur le fichier sélectionné
// Nom      : commenter.php
// Version  : 0.8.2
// Date     : 24/04/09
// =======================================================================
// WebShare0.8.2ακ1.7 : 2012 Tanabata version.
// Reformed by kiyoshi@kuragane.jp / 2012.02.09(κ1.0) - 2012.07.07(κ1.7)
// =======================================================================

//// コメントの書込、あるいは読出し

header ("Content-type: text/html; charset=utf-8");

session_start();
include_once "auth.php";
include_once "../wspasswd/define.php";
include_once "fonctions.php";

function br2nl($text) {
	$balises = array("<br />","<br/>","<br>","<p>","</p>");
	$text = html_entity_decode(stripslashes(str_replace($balises,"",$text)));
	return $text;
}

$l_sql = new class_sql();
$l_sql->connect();

$lien = empty($_REQUEST["memoLien"])?'':rawurldecode($_REQUEST["memoLien"]);
$chemin = $_SESSION["ws"]["cheminActif"]; //// 注意: $cheminはディレクトリ
if($lien){ $chemin .= "/".dirname($lien); }
elseif($_REQUEST["memoType"] != "dossier") $chemin .= "/".$_SESSION["ws"]["dossierActif"];
$chemin = blindeChemin($chemin);
if(!empty($_REQUEST["global"])){ $nomComment = 'wsGlobal';}
else{ $nomComment = filename($lien); }

$nomSrv = $_SESSION["ws"]["serveurActif"];
if($_SESSION["ws"]["$nomSrv"]["typeServeur"] == 2)
{ $_SESSION["ws"]["$nomSrv"]["connexion"] = connexionFTP($nomSrv); }
$cheminComFile = cheminCom($nomSrv, "$chemin/_param");

// ==== Récuperation de commentaires : Entete ====
if(!empty($_REQUEST["modif"])){  $modif  = 1; }else{ $modif  = 0; }
if(!empty($_REQUEST["recup"])){  $recup  = 1; }else{ $recup  = 0; }
if(!empty($_REQUEST["retire"])){ $retire = 1; }else{ $retire = 0; }
if(!empty($_REQUEST["global"])){ $global = 1; }else{ $global = 0; }

// L'utilisateur ne peut pas effectuer d'opération au dessus de sa racine virtuelle
if($global == 0 && empty($nomComment) || preg_match($_SESSION["ws"]["varsUser"], html_entity_decode($nomComment)))
{
	echo "(".$_SESSION["ws"]["dia"]["noOperation"].")";
	exit;
}

$found  = 0;
$reussite = 0;
// ==== Détection d'un commentaire : ajout dans le fichier ====
if($modif == 1) //// コメント書込
{
	// L'utilisateur doit être autorisé à effectuer l'opération
	if($_SESSION["ws"]["auth7"] == "on")
	{
		$cheminComFile = cheminCom($nomSrv, "$chemin/_param");
		if(($contents = F_get_contents((USE_wssite?"wssite":$nomSrv), $cheminComFile)) !== FALSE)
		{
			$lines = explode("\n", $contents);
			$contents = "";
			// ==== Ajout du commentaire dans le fichier existant ====
			foreach($lines as $line_num => $line)
			{
				if(!$line){ continue; }
				if(preg_match("@\[BackgroundShortcut\]@", $line, $comp))
				{ if($found == 1){ $found = 2; } }
				if((preg_match("@\[(.*)/(.*)\]@u", $line)) && ($found == 1))
				{ $found = 2; }
				if($line == "[".$_SESSION["ws"]["nomUser"]."/".$nomComment."]")
				{
					$found = 1;
					if(!empty($_REQUEST["commentaire"]) && ($retire == 0))
					{
						$contents .= "[".$_SESSION["ws"]["nomUser"]."/".$nomComment."]\n".stripslashes($_REQUEST["commentaire"])."\n";
					}
				}
				if($found != 1)
				{
					$contents .= $line."\n";
				}
			}
			// ==== Si aucun commentaire n'avait été écrit ====
			if(($found == 0) && (!empty($_REQUEST["commentaire"])))
			{
				$contents .= "[".$_SESSION["ws"]["nomUser"]."/".$nomComment."]\n".stripslashes($_REQUEST["commentaire"])."\n";
			}
			if($contents)
			{
				F_put_contents((USE_wssite?"wssite":$nomSrv), $cheminComFile, $contents);
			}
			$reussite = 1;
		}
		else
		{
			// ==== Création d'un nouveau fichier de commentaires ====
			if(!empty($_REQUEST["commentaire"]))
			{
				$contents = "[".$_SESSION["ws"]["nomUser"]."/".$nomComment."]\n".stripslashes($_REQUEST["commentaire"])."\n";
				F_put_contents((USE_wssite?"wssite":$nomSrv), $cheminComFile, $contents);
			}
			$reussite = 1;
		}
    if($reussite)
		{
			echo $_SESSION["ws"]["dia"]["commentAdded"];
			$tabLog= array("17", "1", $_SESSION["ws"]["dia"]["commentAdded"], $_SESSION["ws"]["nomUser"], $_SESSION["ws"]["dossierActif"], $nomComment, "");
			$l_sql->logAction($tabLog);
		}
		else
		{
			echo $_SESSION["ws"]["dia"]["commentNotAdded"];
			$tabLog= array("17", "-1", $_SESSION["ws"]["dia"]["commentNotAdded"], $_SESSION["ws"]["nomUser"], $_SESSION["ws"]["dossierActif"], $nomComment, "");
			$l_sql->logAction($tabLog);
		}
	}
	else
	{
		echo $_SESSION["ws"]["dia"]["prohibited"];
		exit;
	}
}
else //// コメント読み込み
{
	// ==== Récupération d'un commentaire ====
	$found = 0;
	if(($contents = F_get_contents((USE_wssite?"wssite":$nomSrv), $cheminComFile)) !== FALSE)
	{
		$lines = explode("\n", $contents);
		if($recup == 0) //// 単にコメントのみ読み込む。
		{
			// ==== Récuperation pour affichage en infobulle ====
			foreach($lines as $line_num => $line)
			{
				if(!$line){ continue; }
				if(preg_match("@\[BackgroundShortcut\]@", $line, $comp)){ $found = 0; }
				if($global == 0)
				{
					if(preg_match("@\[(.*)/(.*)\]@u", $line, $comp))
					{
						if(($_SESSION["ws"]["nomUser"] == $comp[1]) && ($nomComment == $comp[2]))
						{ $found= 1; }
						else
						{ $found= 0; }
					}
					elseif($found == "1")
					{
						echo $line;
					}
				}
				else
				{
					if(preg_match("@\[(.*)/(.*)\]@u",$line, $comp))
					{
						if(($_SESSION["ws"]["nomUser"] == $comp[1]) && $comp[2] == "wsGlobal"){ $found = 1; }
						else{ $found = 0; }
					}
					elseif($found == "1")
					{
						echo $line;
					}
				}
			}
		}
		else //// 読み込んだコメントを整形して出力。コメント書表示用。
		{
			$sepimg = "<img src='".$_SESSION["ws"]["cheminImg"]."et.".$_SESSION["ws"]["formatExt"]."' border='0'>";
			// ==== Récuperation pour affichage détaillé ====
			$reponse = "";
			foreach($lines as $line_num => $line)
			{
					if(!$line){ continue; }
				if(preg_match("@\[BackgroundShortcut\]@", $line, $comp)){ $found = 0; }
				if(preg_match("@\[(.*)/(.*)\]@u", $line, $comp))
				{
					if($nomComment == $comp[2])
					{
						$found = 1;
						$reponse .= "<li style='border:0;margin:0'>$sepimg<b>".$comp[1].":</b> ";
					}
					else
					{
						if($found == 1)
						{
							$reponse .= "</li>\n";
							$found= 0;
						}
					}
				}
				elseif($found=="1")
				{
					$reponse .= "<div style='padding-left:10px;'>".$line."</div>\n";
				}
			}
			if(!$reponse){ $reponse = "&nbsp;(".$_SESSION["ws"]["dia"]["none"].")"; }
			echo "<ul style='list-style-type:none;'>".$reponse."</ul>";
		}
	}
}

if($_SESSION["ws"]["$nomSrv"]["typeServeur"] == 2)
{ closeFTP($nomSrv); }

?>
