<?php
/************************************************************************/
/*                                WEBSHARE                              */
/************************************************************************/
//
// Copyright (c) 2009 by Virginie Vivancos
// http://www.webshare.fr
//
// This program is free software. You can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License.
//
// =======================================================================
// Fonction : Affichage des informations EXIF
// Nom      : exif.php
// Version  : 0.8.2
// Date     : 24/04/09
// =======================================================================
// WebShare0.8.2ακ1.7 : 2012 Tanabata version.
// Reformed by kiyoshi@kuragane.jp / 2012.02.09(κ1.0) - 2012.07.07(κ1.7)
// =======================================================================

//// プレビューウインドウ、プロパティーウィンドウに画像ファイル情報、exif情報を表示する。

header("Content-type: text/html; charset=utf-8");

@session_start();
include_once "auth.php";
include_once "../wspasswd/define.php";
include_once "fonctions.php";

$urlImg = rawurldecode($_REQUEST["url"]);
verifie($urlImg);

$nomSrv  = $_SESSION["ws"]["serveurActif"];
$typeSrv = $_SESSION["ws"]["$nomSrv"]["typeServeur"];
$chemin  = $_SESSION["ws"]["cheminActif"];

$exif = array();
$try_exif  = preg_match("@\.(jpe?g|jpeg?)$@ui", $urlImg);
$try_exif &= function_exists("exif_read_data");

if(strstr($urlImg, "http") !== false)
{
	$cheminGlobal = $urlImg;
	if($try_exif){ $exif = exif_read_data($cheminGlobal, NULL, true); }
	if(empty($exif)){ echo("(No Informations)"); }else{ showExif($exif, ""); }
}
elseif($typeSrv != 2) // Local
{
	$cheminGlobal = blindeChemin("$chemin/$urlImg");
	if($try_exif){ $exif = exif_read_data($cheminGlobal, NULL, true); }
	if(empty($exif)){ showFileData($cheminGlobal); }else{ showExif($exif, $cheminGlobal); }
}
else // FTP
{
	$cheminGlobalTemp = blindeChemin($_SESSION["ws"]["tempDir"]."/".filename($urlImg));
	$_SESSION["ws"]["$nomSrv"]["connexion"] = connexionFTP($nomSrv);
	if(@ftp_get($_SESSION["ws"]["$nomSrv"]["connexion"], $cheminGlobalTemp, blindeChemin("$chemin/$urlImg"), FTP_BINARY) !== FALSE)
	{
		if($try_exif){ $exif = exif_read_data($cheminGlobalTemp, NULL, true); }
		if(empty($exif)){ showFileData($cheminGlobalTemp); }else{ showExif($exif, ""); }
		unlink($cheminGlobalTemp);
	}
	closeFTP($nomSrv);
}

exit;


function showExif($exif, $cheminLocal="")
{
	$sepimg = "<img src='".$_SESSION["ws"]["cheminImg"]."et.".$_SESSION["ws"]["formatExt"]."' border='0'>";
	echo "<ul class='infosexif' style='float:left;margin-right:40px;display:block;'>";
	if(@$exif["FILE"]["FileSize"])
		echo "<li><b>$sepimg".$_SESSION["ws"]['dia']['FileSize'].":</b>".number_format($exif["FILE"]["FileSize"])."bytes</li>";
	if(@$exif["EXIF"]["DateTimeOriginal"])
	{
		echo "<li><b>$sepimg".$_SESSION["ws"]['dia']['DateTimeOriginal'].":</b>".$exif["EXIF"]["DateTimeOriginal"]."</li>";
	}
	elseif($cheminLocal)
	{
		$fileStat = stat($cheminLocal);
		$ctime  = ($fileStat[9] < time()-10) ? strftime('%Y:%m:%d %H:%M:%S', $fileStat[9]) : ""; //// FTPの場合ダウンロードした時間になるので表示は無意味。
		if(!empty($ctime))
			echo "<li><b>$sepimg".$_SESSION["ws"]['dia']['DateTimeOriginal'].":<wbr></b>".$ctime."</li>";
	}
	if(@$exif["COMPUTED"]["Height"])
		echo "<li><b>$sepimg".$_SESSION["ws"]['dia']['resolution'].":</b>".$exif["COMPUTED"]["Width"]."x".$exif["COMPUTED"]["Height"]."</li>";
	if(@$exif["EXIF"]["XResolution"])
		echo "<li><b>$sepimg".$_SESSION["ws"]['dia']['XResolution'].":</b>".$exif["EXIF"]["XResolution"]."</li>";
	if(@$exif["EXIF"]["Software"])
		echo "<li><b>$sepimg".$_SESSION["ws"]['dia']['Software'].":</b>".$exif["EXIF"]["Software"]."</li>";
	if(@$exif["EXIF"]["Photographer"])
		echo "<li><b>$sepimg".$_SESSION["ws"]['dia']['Photographer'].":</b>".$exif["EXIF"]["Photographer"]."</li>";
	if((@$exif["IFD0"]["Make"]) || (@$exif["IFD0"]["CameraMake"]))
		echo "<li> $sepimg".$exif["IFD0"]["Make"]." ".$exif["IFD0"]["Model"]."</li> ";
	if(@$exif["EXIF"]["ExposureTime"])
		echo "<li><b>$sepimg".$_SESSION["ws"]['dia']['ExposureTime'].":</b>".$exif["EXIF"]["ExposureTime"]."</li>";
	if(@$exif["COMPUTED"]["ApertureFNumber"])
		echo "<li><b>$sepimg".$_SESSION["ws"]['dia']['ApertureFNumber'].":</b>".$exif["COMPUTED"]["ApertureFNumber"]."</li>";
	if(@$exif["EXIF"]["MaxApertureValue"])
		echo "<li><b>$sepimg".$_SESSION["ws"]['dia']['MaxApertureValue'].":</b>".$exif["EXIF"]["MaxApertureValue"]."</li>";
	if(@$exif["EXIF"]["ISOSpeedRatings"])
		echo "<li><b>$sepimg".$_SESSION["ws"]['dia']['ISOSpeedRatings'].":</b>".$exif["EXIF"]["ISOSpeedRatings"]."</li>";
	if(@$exif["EXIF"]["FocalLength"])
		echo "<li><b>$sepimg".$_SESSION["ws"]['dia']['FocalLength'].":</b>".$exif["EXIF"]["FocalLength"]."</li>";
	if(@$exif["EXIF"]["ExposureBiasValue"])
		echo "<li><b>$sepimg".$_SESSION["ws"]['dia']['ExposureBiasValue'].":</b>".$exif["EXIF"]["ExposureBiasValue"]."</li>";
	if(@$exif["EXIF"]["LightSource"])
		echo "<li><b>$sepimg".$_SESSION["ws"]['dia']['LightSource'].":</b>".$exif["EXIF"]["LightSource"]."</li>";
	if(@$exif["EXIF"]["Flash"])
		echo "<li><b>$sepimg".$_SESSION["ws"]['dia']['Flash'].":</b>".$exif["EXIF"]["Flash"]."</li>";
	echo "</ul>";
}

function showFileData($cheminLocal)
{
	$sepimg = "<img src='".$_SESSION["ws"]["cheminImg"]."et.".$_SESSION["ws"]["formatExt"]."' border='0'>";
	if(($fileStat = stat($cheminLocal)) !== FALSE)
	{
		$size   = number_format($fileStat[7]);
		$ctime  = ($fileStat[9] < time()-10) ? strftime('%Y:%m:%d %H:%M:%S', $fileStat[9]) : ""; //// FTPの場合ダウンロードした時間になるので表示は無意味。
		$imageSize = getimagesize($cheminLocal);
		$width  = $imageSize[0];
		$height = $imageSize[1];
		echo "<ul class='infosexif' style='float:left;margin-right:40px;display:block;'>";
		if(isset($size))
			echo "<li><b>$sepimg".$_SESSION["ws"]['dia']['FileSize'].":</b>".$size."bytes</li>";
		if(!empty($ctime))
			echo "<li><b>$sepimg".$_SESSION["ws"]['dia']['DateTimeOriginal'].":<wbr></b>".$ctime."</li>";
		if(isset($width) && isset($height))
			echo "<li><b>$sepimg".$_SESSION["ws"]['dia']['resolution'].":</b>".$width."x".$height."</li>";
		echo "</ul>";
	}
	else
	{
		echo "(No Informations)";
	}
}

?>
