<?php
/************************************************************************/
/*                                WEBSHARE                              */
/************************************************************************/
//
// Copyright (c) 2009 by Virginie Vivancos
// http://www.webshare.fr
//
// This program is free software. You can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License.
//
// =======================================================================
// Fonction : Exploration du contenu des dossiers
// Nom      : explorer.php
// Version  : 0.8.2
// Date     : 24/04/09
// =======================================================================
// WebShare0.8.2ακ1.7 : 2012 Tanabata version.
// Reformed by kiyoshi@kuragane.jp / 2012.02.09(κ1.0) - 2012.07.07(κ1.7)
// =======================================================================

//// 左側のツリー表示画面を作成、表示

session_start();
include_once "auth.php";
include_once "../wspasswd/define.php";
include_once "fonctions.php";

$l_sql = new class_sql();
$l_sql->connect();

header('Content-Type: text/xml');
echo
 '<'.'?xml version="1.0" encoding="UTF-8"'.'?>';
echo
 '<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "declarations.dtd">';

$formatExt  = $_SESSION["ws"]["formatExt"];
$listeSrv = "";
$num = 1;

$listeExt = "|std|";
foreach($_SESSION["ws"]["assoc"] as $nom => $valeur)
{
	$datas = explode("|",$valeur);
	$listeExt .= $nom."|";
}

echo
 "<reponse><repArbre>";

//// サーバーの中を表示。トップは下に記述。
// ==== Explore le contenu des répertoires locaux ====
function recScandir($dir, $nomSrv, $niveau)
{
	global $num, $listeExt;

	$chemin = blindeChemin($_SESSION["ws"]["$nomSrv"]["rootServeur"]."/".$_SESSION["ws"]["$nomSrv"]["repServeur"]);
	$files = array();
	$rawfile = array();
	if($handle = @opendir(blindeChemin("$chemin/$dir")))
	{
		while( ($file = readdir($handle)) !== false)
		{
			if(!preg_match($_SESSION["ws"]["varsUser"], $file))
			{
				if(is_dir("$chemin/$dir/$file")) { $rawfile[] = "$file"; }
				elseif(($_SESSION["ws"]["arboLink"] == "1") && preg_match("/\.url/", $file)) { $rawfile[] = "$file"; }
			}
		}
		sort($rawfile); //// FTPと合わせておく。
		foreach($rawfile as $liste)
		{
			$iciPerm = F_gestion($nomSrv, "$chemin/$dir/$liste");
			if(preg_match("@\.url@", $liste) == 1)
			{
				$lien = blindeLien("$dir/$liste");
				$lienWeb="";
				if(($content_file = file("$chemin/$dir/$liste")) !== false)
				{
					preg_match("@(http.*)$@", "$content_file[1]", $reglien);
					$lienWeb = blindeNom(trim($reglien[1]));
					preg_match("@^BASEURL=([[:alpha:]]*)\:\/\/([[:alnum:]-\.]*)[\/]?([[:alnum:]-\/]*)\.([[:alnum:]]*)[\?]?([[:alnum:]=&]*).*$@", "$content_file[1]", $reglien);
					$extension = strtolower(trim($reglien[4]));
					if(!preg_match("@(".$extension.")@", $listeExt)){ $extension = "url"; }
				}
				$point = strrpos($liste, ".");
				$nom = blindeAffichage(substr($liste, 0, $point));
				echo
 "<brc><lnk>".$lien."</lnk><web>".$lienWeb."</web>"
."<nom>".$nom."</nom><prm>$iciPerm</prm>"
."<url>url</url><num>$num</num><pro>url</pro><ext>$extension</ext>";
			}
			else
			{
				$nom = blindeAffichage("$liste");
				echo
 "<brc><lnk>".blindeLien("$dir/$liste")."</lnk><web></web>"
."<nom>".$nom."</nom><prm>$iciPerm</prm>"
."<url>miniclose</url><num>$num</num><pro>dossier</pro><ext></ext><srv>$nomSrv</srv>";
			}
			$num++;
			if($niveau<3) { $files["$liste"] = recScandir("$dir/$liste/", $nomSrv, $niveau+1); }
			echo
 "</brc>";
		}
		closedir($handle);
		return $files;
	}
}

//// FTPサーバーの中を表示。トップは下に記述。
// ==== Explore le contenu des répertoires distants ====
function recScandirFTP($dir, $nomSrv, $niveau)
{
	global $num, $listeExt;

	$cheminOrigine = blindeChemin($_SESSION["ws"]["$nomSrv"]["rootServeur"]."/".$_SESSION["ws"]["$nomSrv"]["repServeur"]);
	$files = array();
	if(($contents = B_ftp_rawlist($nomSrv, blindeChemin($dir))) !== FALSE)
	{
		foreach($contents as $file) //// FTPのリストはsortされている。
		{
			$info = array();
			$vinfo = preg_split("@[\s]+@u", $file, 9);
			if(!preg_match($_SESSION["ws"]["varsUser"], $vinfo[8]))
			{
				if($vinfo[0] !== "total")
				{
					$fileperms = $vinfo[0];
					$filename  = $vinfo[8];
					if(strpos($fileperms, "d") !== FALSE || strpos($fileperms,"l") !== FALSE)
					{
						//FIXME : gestion des Symbolic Link
						if(strpos($fileperms, "l") !== FALSE)
						{
							$symLink  = explode(" ->", $filename);
							$filename = $symLink[0];
						}
						$iciPerm = permFTP($fileperms);
						$cheminRelatif= preg_replace("@$cheminOrigine@", "/", blindeLien("$dir/$filename"));
						if($cheminRelatif != "/"){ $cheminRelatif = blindeLien("/$cheminRelatif"); }
						echo
 "<brc><lnk>".$cheminRelatif."</lnk><web></web><nom>".blindeAffichage("$filename")."</nom><prm>$iciPerm</prm>"
."<url>miniclose</url><num>$num</num><pro>dossier</pro><ext>$extension</ext><srv>$nomSrv</srv>";
						$num++;
						if($niveau < 3){ $files = recScandirFTP("$dir/$filename", $nomSrv, $niveau+1); }
						echo
 "</brc>";
					}
				}
			}
		}
		return $files;
	}
}

//// ごみばこ。トップの要素をカウントするだけでいい。
// ==== Explore le contenu de la corbeille ====
function filesBin($dir, $cheminBin, $niveau)
{
	$nbFilesBin = 0;
	if($handle = @opendir(blindeChemin("$cheminBin/$dir")))
	{
		while(($file = readdir($handle)) !== false)
		{
			if(!preg_match($_SESSION["ws"]["varsUser"], $file))
			{
				++$nbFilesBin;
			}
		}
		closedir($handle);
	}
	return $nbFilesBin;
}


$nomSrv   = $_SESSION["ws"]["listeServeur"][0];
$listeTri = explode(",", $_SESSION["ws"]["$nomSrv"]["triServeur"]);
$tempList = $_SESSION["ws"]["listeServeur"];

$compt=0;
foreach ($listeTri as $data)
{
	foreach($tempList as $dataBis)
	{
		if($data == $_SESSION["ws"][$dataBis]["idServeur"])
		{
			$_SESSION["ws"]["listeServeur"][$compt] = $dataBis;
			$compt++;
		}
	}
}

$specServeur = "_ALL_";
if(isset($_REQUEST["specServeur"]) && ($requestedServeur = $_REQUEST["specServeur"]))
{
	verifie($requestedServeur);
	for($j = 0; $j < count($_SESSION["ws"]["listeServeur"]); $j++)
	{
		if($requestedServeur == $_SESSION["ws"]["listeServeur"][$j])
		{
			$specServeur = $requestedServeur;
		}
	}
}


//// サーバーのトップとその中身を表示。ごみ箱は表示がちがうので別途。
for($j = 0; $j < count($_SESSION["ws"]["listeServeur"]); $j++) //// 各サーバーについて。ごみ箱はこの中には入っていない。
{
	$nomSrv = $_SESSION["ws"]["listeServeur"][$j];
	$listeSrv .= " $nomSrv";
	$num = 1;
	if(($specServeur == "_ALL_") || ($specServeur == $nomSrv))
	{
		echo
 "<contArbre>";
		if($_SESSION["ws"]["$nomSrv"]["typeServeur"] == 1) //// ローカル
		{
			if(SHOW_DISKINFO)
			{
				define("DISK", $_SESSION["ws"]["$nomSrv"]["rootServeur"]."/"); // Dossier pour lequel on recherche l'espace
				$totalspace = round(disk_total_space(DISK),2);           // Récupération de l'espace disque
				$freespace  = round(disk_free_space(DISK),2);            // Récupération de l'espace libre
				$used  = $totalspace - $freespace;                      // Calcul de l'espace utilisé
			}
			else
			{
				$totalspace = 0;
				$freespace  = 0;
				$used  = 0;
			}
			echo
 "<serveur>$nomSrv</serveur><cnx>".$_SESSION["ws"]["cheminImg"]."ordi.".$_SESSION["ws"]["formatExt"]."</cnx><num>$num</num>"
."<espacetotal>$totalspace</espacetotal><espacelibre>$freespace</espacelibre><espaceutil>$used</espaceutil><protect>".$_SESSION["ws"]["$nomSrv"]["protectServeur"]."</protect>";

			$chemin = blindeChemin($_SESSION["ws"]["$nomSrv"]["rootServeur"]."/".$_SESSION["ws"]["$nomSrv"]["repServeur"]);
			if(!is_dir($chemin))
			{
				mkdir($chemin);
				chmod($chemin, NEWDIR_PERM);
			}
			$perm = F_gestion($nomSrv, $chemin);
			$depart = "$nomSrv"; //// サーバーのトップの表示名
			echo
 "<brc><lnk>/</lnk><web></web>"
."<prm>$perm</prm><nom>".blindeNom($depart)."</nom><url>miniclose</url><num>$num</num><pro>dossier</pro><ext>arbo</ext><srv>$nomSrv</srv>";
			$num++;
			$dir = recScandir("", $nomSrv, 0); //// サーバーの中身を表示
			echo
 "</brc>";
		}
		else //// FTP
		{
			$_SESSION["ws"]["$nomSrv"]["connexion"] = connexionFTP($nomSrv);
			if(!$_SESSION["ws"]["$nomSrv"]["connexion"])
			{
				echo
 "<serveur>$nomSrv</serveur><cnx>".$_SESSION["ws"]["cheminImg"]."network2.".$_SESSION["ws"]["formatExt"]."</cnx><num>$num</num>";
			}
			else
			{
				echo
 "<serveur>$nomSrv</serveur><cnx>".$_SESSION["ws"]["cheminImg"]."network.".$_SESSION["ws"]["formatExt"]."</cnx><num>$num</num>";
				$chemin = blindeChemin($_SESSION["ws"]["$nomSrv"]["rootServeur"]."/".$_SESSION["ws"]["$nomSrv"]["repServeur"]);
				$perm = F_gestion($nomSrv, $chemin);
			  $depart = "$nomSrv"; //// サーバーのトップの表示名
				echo
 "<brc><lnk>/</lnk><web></web>"
."<prm>$perm</prm><nom>".blindeNom($depart)."</nom><url>miniclose</url><num>$num</num><pro>dossier</pro><ext>arbo</ext><srv>$nomSrv</srv>";
				$num++;
				$dir = recScandirFTP(blindeChemin($_SESSION["ws"]["$nomSrv"]["rootServeur"]."/".$_SESSION["ws"]["$nomSrv"]["repServeur"]), $nomSrv, 0);
				echo
 "</brc>";
			}
			closeFTP($nomSrv);
		}
		echo
 "</contArbre>";
	}
}

//// ゴミ箱
//// ごみ箱のみ特別に<prm>T</prm>が定義されているが変えてはいけない。
if(($specServeur == "_ALL_") && (EXPLORER_CORBEILLE >= $_SESSION["ws"]["typeUser"]))
{
	if($_SESSION["ws"]["repCorbeille"] != "")
	{
		$nbFilesBin = filesBin("", $_SESSION["ws"]["repCorbeille"], 0);
		if($nbFilesBin == 0)
		{
			$depart = $_SESSION["ws"]["dia"]["binNoElement"]; //// ごみ箱の場合名前の代わりに中身の項目数を表示。
			$iconName = 'multiple'; //// <url>$iconName</url>で画像を切り替えることにした。
		}
		else
		{
			$depart = $_SESSION["ws"]["dia"]["binContain"]." $nbFilesBin ".$_SESSION["ws"]["dia"]["element"];
			$iconName = 'multiplered';
		}
		echo
 "<contArbre><serveur>".$_SESSION["ws"]["nomCorbeille"]."</serveur>"
."<cnx>".$_SESSION["ws"]["cheminImg"]."corbeille.".$_SESSION["ws"]["formatExt"]."</cnx><num>1</num>"
."<brc><lnk>/</lnk><web></web><prm>T</prm><nom>".$depart."</nom>"
."<url>".$iconName."</url><num>1</num><pro>trb</pro><ext>trb</ext><srv>"
.$_SESSION["ws"]["nomCorbeille"]."</srv></brc></contArbre>";
	}
}

echo
 "</repArbre></reponse>";

$tabLog = array("2", "1", $_SESSION["ws"]["dia"]["exploreShare"]." ".$listeSrv, $_SESSION["ws"]["nomUser"], $_SESSION["ws"]["dossierActif"], "", "");
$l_sql->logAction($tabLog);
$l_sql->disconnect();

?>
