<?php
/************************************************************************/
/*                                WEBSHARE                              */
/************************************************************************/
//
// Copyright (c) 2009 by Virginie Vivancos
// http://www.webshare.fr
//
// This program is free software. You can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License.
//
// =======================================================================
// Fonction : Ajoute ou retire un fichier dans les favoris
// Nom      : favoris.php
// Version  : 0.8.2
// Date     : 24/04/09
// =======================================================================
// WebShare0.8.2ακ1.7 : 2012 Tanabata version.
// Reformed by kiyoshi@kuragane.jp / 2012.02.09(κ1.0) - 2012.07.07(κ1.7)
// =======================================================================

//// ブックマークウィンドウの作成表示

header ("Content-type: text/html; charset=utf-8");

session_start();
include_once "auth.php";
include_once "../wspasswd/define.php";
include_once "fonctions.php";

$l_sql = new class_sql();
$l_sql->connect();
if(!$l_sql->test())
{
	$message = $_SESSION["ws"]["dia"]["alertfunction3"];
	echo $message;
	exit;
}

// La base de données doit être connectée
$p_param = $l_sql->blinde_param($_REQUEST);

// Récupération des informations serveurs
if(!empty($p_param["nomSrv"]))
{ $nomSrv = $p_param["nomSrv"]; }
else
{ $nomSrv = $_SESSION["ws"]["serveurActif"]; }
$nomPro  = $p_param["nomPro"];
$typeSrv = $_SESSION["ws"]["$nomSrv"]["typeServeur"];

if(intval($p_param["view"]) != 1 ) // Mise en favoris //// favorisの追加や削除
{
	$lienElement = rawurldecode(stripslashes(trim($p_param["lienElement"])));
	$nomFichier  = filename($lienElement);
	$cheminFichier = dirname(blindeChemin("/".$_SESSION["ws"]["$nomSrv"]["repServeur"]."/$lienElement"));
	if(intval($p_param["numAct"]) == 1)
	{
		$favoris = 1;
		$message = $_SESSION["ws"]["dia"]["favAdded"];
	}
	else
	{
		$favoris = 0;
		$message = $_SESSION["ws"]["dia"]["favRemoved"];
	}

	// L'utilisateur ne peut pas effectuer d'opération au dessus de sa racine virtuelle
	verifie($p_param["lienElement"]);
	if(preg_match($_SESSION["ws"]["varsUser"], $p_param["lienElement"]))
	{
		exit;
	}

	// Gestion des favoris
	$request =
 "SELECT * FROM wsfiles WHERE nomServeur = '$nomSrv' AND path = '$cheminFichier' AND file = '$nomFichier' AND favoris = 1 ";
	$result  = $l_sql->request_result($request);
	if(empty($result) && $favoris)
	{
		$request =
 "INSERT INTO wsfiles (idUser, idServeur, nomServeur, username, path, file, commentaires, version, viewed, favoris, changed, locked) VALUES ( ".$_SESSION["ws"]["idUser"].", '".$_SESSION["ws"]["$nomSrv"]["idServeur"]."', '$nomSrv', '".$_SESSION["ws"]["nomUser"]."', '$cheminFichier', '$nomFichier', '', '', 0, 1, 0, 0) ";
		$result = $l_sql->request($request);
	}
	elseif(!$favoris)
	{
		$request =
 "DELETE FROM wsfiles WHERE nomServeur = '$nomSrv' AND path = '$cheminFichier' AND file = '$nomFichier' AND favoris = 1 ";
		$result = $l_sql->request($request);
	}
}
else // Mode récupération des favoris //// お薦め(ブックマーク)表示
{
	//// 上部タイトル「お薦め」と（サーバー名）表示
	echo
 "<div class='recherche depFavoris'><div class='rubrique' style='white-space:nowrap'>"
."<img src='".$_SESSION["ws"]["cheminImg"]."fav.".$_SESSION["ws"]["formatExt"]."' style='float:left;margin:1px;margin-left:6px;vertical-align:middle'>"
."&nbsp;<b>".$_SESSION["ws"]["dia"]["favoris"]."<br />&nbsp;&nbsp;(".$nomSrv.")</b></div>";

	//// データ取得。
	$request = "SELECT * FROM wsfiles WHERE favoris = 1 ORDER BY path, file ";
	$result  = $l_sql->request_result($request);
	$nbElement=0;
	foreach($result as $data)
	{
		if($nomSrv != "$data[nomServeur]"){ continue; } //// 現在のサーバーと異なる場合は表示しない。(クリックしてもアクション表示がきかない。)
		$repServeur = blindeChemin("/".$_SESSION["ws"]["$nomSrv"]["repServeur"]); //// 現在のサーバーの表示区域を得る。
		if(!preg_match("@$repServeur@", $data["path"])){ continue; } //// 現在のサーバーの表示区域から外れるものは表示しない。
		$data["path"] = preg_replace("@$repServeur@", "/", $data["path"]); //// さらにパスは表示区域の頭を起点として。

		$nom  = blindeNom("$data[file]");
		$lien = blindeChemin("$data[path]/$data[file]");
		$lienSrv = blindeChemin($_SESSION["ws"][$data["nomServeur"]]["rootServeur"]."$data[path]/$data[file]");
		$point = strrpos($nom, ".");
		if($point === false)
		{
			$nomfichier = $nom;
			$extension  = "";
		}
		else
		{
			$nomfichier = substr($nom, 0, intval($point));
			$extension  = substr($nom, intval($point)+1);
		}
		$cheminGlobal = dirname(blindeLien("$data[path]/$data[file]"));
		$afficdir = blindeChemin("/$cheminGlobal/");

		if($_SESSION["ws"][$data["nomServeur"]]["typeServeur"] == 2)
		{ $_SESSION["ws"][$data["nomServeur"]]["connexion"] = connexionFTP($data["nomServeur"]); }

		if($_SESSION["ws"][$data["nomServeur"]]["typeServeur"] != 2) //// local or corbeille
		{
			$permGlob = F_gestion($data["nomServeur"], $lienSrv);
			$modifb   = filemtime($lienSrv);
			$modif    = $_SESSION["ws"]["dia"]["listeJour"][date("D", $modifb)].date(" j ", $modifb).$_SESSION["ws"]["dia"]["listeMois"][intval(date("n", $modifb))].date(" Y H:i", $modifb);
			$taille   = sprintf("%012s", @filesize($lienSrv));
			$proto    = (is_dir($lienSrv) === true ? "dossier" : "local");
			$lienWeb  = "";
			if($extension == "url")
			{
				$proto = "url";
				$content_file = file($lienSrv);
				preg_match("@(http.*)$@", "$content_file[1]", $reglien);
				$lienWeb = trim($reglien[1]);
			}
		}
		else //// ftp
		{
			$fileinfo = ftp_recup_fileinfo($data["nomServeur"], $lienSrv);
			$permGlob = $fileinfo["iciPerm"];
			$modif    = $fileinfo["modif"];
			$taille   = $fileinfo["taille"];
			$proto    = $fileinfo["proto"] == 'dossier' ? 'dossier' : 'local'; //// すでに存在しなくても設定しておかないとFAVの削除ができない。
			$lienWeb  = ""; //// 追加。たぶん書き忘れ。Webが１個入るとそのあとすべて表示不能になっていた。
		}

		//// 追加。このFAVのコメントファイルの内容を取得して表示。
		$comment = "";
		$cheminComFile = cheminCom($data["nomServeur"], $_SESSION["ws"][$data["nomServeur"]]["rootServeur"].'/'.$_SESSION["ws"][$data["nomServeur"]]["repServeur"]."/$data[path]/_param");
		$param = F_get_contents((USE_wssite?"wssite":$data["nomServeur"]), $cheminComFile);
		if($param)
		{
			$reg_pattern = "@\[[^/]+/$data[file]\]\n*([^\[]*)(?:\[|$)@u";
			if(preg_match($reg_pattern, $param, $reg)){ $comment = comment_get($param, "$data[file]"); }
		}

		if($_SESSION["ws"][$data["nomServeur"]]["typeServeur"] == 2)
		{ closeFTP($data["nomServeur"]); }

		if($proto != "dossier")
		{
			$visu = strtolower($extension); //// jpg, txtなどの拡張子の名前のついたアイコン
		}
		else
		{
			$visu = "big"; //// フォルダ形のアイコン。big3->bigに変更(色無しに)。
			$extension = "";
		}
		$labelType = $_SESSION["ws"]["assoc"][strtolower($extension)]["exttype"];
		//// 可能な限り縮小画像を表示するようにしよう。
		if(preg_match($typeImgReco, $extension))
		{
			$imgsrc = "moteur/pic.php?mini=1&typeimg=$extension&pic=".rawurlencode($lien);
		}
		else
		{
			$imgsrc = $_SESSION["ws"]["cheminIcn"]."minis/".$visu.".".$_SESSION["ws"]["formatExt"];
		}

		//// フォルダ名の部分はリンクとしてそのフォルダに移動できるよう改良。
		echo
"<div class='cible' onclick='if(altClick==0){memoContext();lanceAction(\"\");}' onmouseover='rechOver(this,\"Rech$nbElement\")' onmouseout='rechOut(this)' style='white-space:nowrap;height:32px;padding-left:6px;padding-top:2px;cursor:pointer;'>"
."<div id='divInfoRech$nbElement' style='display:none'> \n"
."  tabFileInfo.fileInfoRech$nbElement= { \n"
."  num : \"Rech$nbElement\", \n"
."  lnk : \"$lien\", \n"
."  nom : \"$nomfichier\", \n"
."  ext : \"$extension\", \n"
."  lab : \"$labelType\", \n"
."  tai : \"$taille\", \n"
////."  prm : \"$permGlob\", \n" // ブックマークからは編集操作ができないように(エラーになる)。本当は編集項目を表示したくないがわからないので。
."  prm : \"R\", \n"
."  pro : \"$proto\", \n"
."  dtm : \"$modif\", \n"
."  web : \"$lienWeb\", \n"
."  fav : \"1\", \n"
."  srv : \"$data[nomServeur]\" \n"
." }; \n"
."</div>"

."<div class='caseimg' style='width:40px;height:30px;float:left;overflow:hidden;cursor:pointer;text-align:center;'><img src='".$imgsrc."' style='max-width:40px;max-height:30px;'></div>"
."<div style='padding-left:2px;white-space:nowrap;overflow:hidden;'><u class='lien' onmouseover='this.className=\"lienover\"' onmouseout='this.className=\"lien\"'>$nom</u><br />(<span onclick='if(altClick==0){iciPro=\"dossier\";iciLien=\"".rawurlencode(dirname($lien))."\";}' onmouseover='this.style.background=\"#f8f\";' onmouseout='this.style.background=\"transparent\";' style='cursor:default;background:transparent;'><img src='style/Standard/images/infolien.png'>$afficdir</span>)</div></div>".($comment?"<div class='comment' style='clear:left;white-space:nowrap;overflow:hidden;' >&nbsp;$comment</div>":"")."<img src='".$_SESSION["ws"]["cheminImg"]."barre.".$_SESSION["ws"]["formatExt"]."' style='width:90%;height:1px;padding-bottom:4px'><br />\n";

		$nbElement++;
	}
	//// ブックマークウィンドウの中のダイアログウィンドウ「ブックマークに追加」。表示しなくても差し支えない。
	if(ADDFAV_WINDOW)
	{
		echo
 "<div style='border:1px solid #888;margin:4px;height:60px' onmouseover='selectObj=\"wsAddFavoris\";' onmouseout='selectObj=0;'>"
."<div class='rubrique' style='text-align:center'>".$_SESSION["ws"]["dia"]["addFav"]."</div></div>";
	}
	echo "</div>";
}
$l_sql->disconnect();
echo $message;

//// コメントを取得する。複数あったら" "で区切って連結する。
function comment_get($param, $file)
{
	if(!$param || !$file) { return ''; }
	$reg_pattern = "@\[[^/]+/$file\]\n*([^\[]*)@";
	if($comment_count = preg_match_all($reg_pattern, $param, $reg))
	{
		$comment = trim($reg[1][0]); //// 最初のコメント
		for($count=1; $count < $comment_count; $count++)
		{
			$comment .= " ".trim($reg[1][$count]);
		}
		return preg_replace("@\n@u", " ", $comment);
	}
	return '';
}

?>
