<?php
/************************************************************************/
/*                                WEBSHARE                              */
/************************************************************************/
//
// Copyright (c) 2009 by Virginie Vivancos
// http://www.webshare.fr
//
// This program is free software. You can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License.
//
// =======================================================================
// Fonction : Script moteur des menus
// Nom      : menus.php
// Version  : 0.8.2
// Date     : 24/04/09
// =======================================================================
// WebShare0.8.2ακ1.7 : 2012 Tanabata version.
// Reformed by kiyoshi@kuragane.jp / 2012.02.09(κ1.0) - 2012.07.07(κ1.7)
// =======================================================================

?>

<?php /*
			//// メニューに定義されている数字の意味。interface.php 1235行目あたり。これに従って有効無効が制御される。
			//// menu.php の冒頭に同じ記載をしておく。
			// Selon l'identifiant passe, l'entree est susceptible d'être inactive
			//// Identifiant 0 -> 無条件に有効。
			// Identifiant 1 -> Entree active seulement si l'utilisateur dispose des droits //// 利用者に親フォルダとそのファイル(フォルダ)への書込権限があれば有効
			// Identifiant 2,3 et 4 -> Entree active uniquement si la navigation est possible //// 利用可能な場合のみ有効
			////  2 : 履歴(boutonBack)がある。previousPage
			////  3 : 2と同じだが使用例が見当たらない
			////  4 : 上位フォルダがある。upDir
			// Identifiant 5 -> Entree active si un element se trouve dans le presse-papier //// クリップボードに物があって書込権限があれば有効
			// Identifiant 6 -> Entree active seulement si le dossier/fichier n'est pas verrouille //// フォルダ／ファイルがロックされていなければ(読出権限があれば)有効
			// Identifiant 7 -> Entree active seulement si l'utilisateur dispose des droits et si le fichier n'est pas verouille //// アクセス権の変更権限があれば有効。
			// Identifiant 8 -> Entree inactive //// 無効
			// Identifiant 9 -> Entree de titre //// タイトル用
			// Identifiant 10-> Entree toujours active //// 常時有効のようだが内部設定項目のようだ。
			// Identifiant 11-> Entree Identifiant 1 + inactive si Corbeille //// 1と同じだがごみ箱では無効。
			// Identifiant 12-> Entree inactive si pas de connexion BDD //// アクセス権の変更権限がないかデータベース(SQL)が使えなければ無効
			// Identifiant 13-> Entree des favoris //// ブックマーク用。読出し権限があれば有効。
*/ ?>

// -------- menus --------

<?php
//// ブラウザによっては動作しないプラグインがあるのでその判定を追加する。
//// wmplayer(windows media player)はIE以外では動作しない。(私のパソコンでは。)
//// php function と javascript function の両方のアクションを一致させておくこと！！
?>
<?php
function is_valid_action($action) // php function
{
	if(!preg_match('@MSIE |Trident/@', $_SERVER['HTTP_USER_AGENT']))
	{
		if(preg_match("@wmplayer@", $action)) return false;
	}
	return true;
}
?>
function is_valid_action(action) // javascript function
{
<?php
	if(!preg_match('@MSIE |Trident/@', $_SERVER['HTTP_USER_AGENT']))
	{
echo '  if(action.indexOf("wmplayer") > 0) return false;';
	}
?>
	return true;
}


<?php //// 画面空白部右クリック時のメニュー ?> 
// Menu contextuel local par defaut
items_defaut = new Array(
	"<img src='style/"+styleActif+"/images/prev.<?php echo $_SESSION["ws"]["formatExt"]?>' class='boutonsMenuContext'> <?php echo $_SESSION["ws"]["dia"]["previousPage"]?>|2|precedent(boutonBack)",
<?php if($navig!='IE' && $navig!='IE7' && $navig!='KH') { ?><?php //// IE Chrome Safariでは動作しない。 ?> 
	"<img src='style/"+styleActif+"/images/parent.<?php echo $_SESSION["ws"]["formatExt"]?>' class='boutonsMenuContext'> <?php echo $_SESSION["ws"]["dia"]["upDir"]?>|4|remonter(boutonUp)",
<?php } ?>
	"<img src='style/"+styleActif+"/images/update.<?php echo $_SESSION["ws"]["formatExt"]?>' class='boutonsMenuContext'> <?php echo $_SESSION["ws"]["dia"]["updateDir"]?>|0|actualiser()",
	"",
<?php //// なぜか使えないので非表示。関数がまだできてないようだ。 ?> 
/*
	"<img src='style/"+styleActif+"/images/selall.<?php echo $_SESSION["ws"]["formatExt"]?>' class='boutonsMenuContext'> <?php echo $_SESSION["ws"]["dia"]["selectAll"]?>|8|toutSelectionner(actuel)",
	"<img src='style/"+styleActif+"/images/renall.<?php echo $_SESSION["ws"]["formatExt"]?>' class='boutonsMenuContext'> <?php echo $_SESSION["ws"]["dia"]["renameAll"]?>|8|rien(actuel)",
*/
	"<img src='style/"+styleActif+"/images/save.<?php echo $_SESSION["ws"]["formatExt"]?>' class='boutonsMenuContext'> <?php echo $_SESSION["ws"]["dia"]["saveAll"]?>|0|toutSauver(actuel,this.innerHTML)",
	"",
	"<img src='style/"+styleActif+"/images/paste.<?php echo $_SESSION["ws"]["formatExt"]?>' class='boutonsMenuContext'> <?php echo $_SESSION["ws"]["dia"]["toPaste"]?>|<?php echo (($_SESSION["ws"]["auth4"]=="on")?"5":"8"); ?>|coller(memoLien,this.innerHTML)",
	"<img src='style/"+styleActif+"/images/new2.<?php echo $_SESSION["ws"]["formatExt"]?>' class='boutonsMenuContext'> <?php echo $_SESSION["ws"]["dia"]["newDir"]?>|<?php echo (($_SESSION["ws"]["auth2"]=="on")?"1":"8"); ?>|creaDossier(actuel,this.innerHTML)",
	"<img src='style/"+styleActif+"/images/new3.<?php echo $_SESSION["ws"]["formatExt"]?>' class='boutonsMenuContext'> <?php echo $_SESSION["ws"]["dia"]["newFile"]?>|<?php echo (($_SESSION["ws"]["auth2"]=="on")?"1":"8"); ?>|openUpload(actuel)",
	"<img src='style/"+styleActif+"/images/new4.<?php echo $_SESSION["ws"]["formatExt"]?>' class='boutonsMenuContext'> <?php echo $_SESSION["ws"]["dia"]["newLink"]?>|<?php echo (($_SESSION["ws"]["auth2"]=="on")?"1":"8"); ?>|creaLien(actuel,this.innerHTML)",
	"<img src='style/"+styleActif+"/images/new5.<?php echo $_SESSION["ws"]["formatExt"]?>' class='boutonsMenuContext'> <?php echo $_SESSION["ws"]["dia"]["newTxt"]?>|<?php echo (($_SESSION["ws"]["auth2"]=="on")?"1":"8"); ?>|creaTxt(actuel,this.innerHTML)",
	"",
	"<img src='style/"+styleActif+"/images/prop.<?php echo $_SESSION["ws"]["formatExt"]?>' class='boutonsMenuContext'> <?php echo $_SESSION["ws"]["dia"]["toSearch"]?>|0|rechercher(actuel,this.innerHTML)",
	"<img src='style/"+styleActif+"/images/comment.<?php echo $_SESSION["ws"]["formatExt"]?>' class='boutonsMenuContext'> <?php echo $_SESSION["ws"]["dia"]["frameTitle"]?>|<?php echo (($_SESSION["ws"]["auth7"]=="on")?"1":"8"); ?>|commenterGlobal(this.innerHTML)",
	"<img src='style/"+styleActif+"/images/print.<?php echo $_SESSION["ws"]["formatExt"]?>' class='boutonsMenuContext'> <?php echo $_SESSION["ws"]["dia"]["printGallery"]?>|6|imprimerCadre('frame_galerie',this.innerHTML)"
);


// Menu contextuel FTP par defaut
items_defaut2 = new Array(
	"<img src='style/"+styleActif+"/images/prev.<?php echo $_SESSION["ws"]["formatExt"]?>' class='boutonsMenuContext'> <?php echo $_SESSION["ws"]["dia"]["previousPage"]?>|2|precedent(boutonBack)",
<?php if($navig!='IE' && $navig!='IE7' && $navig!='KH') { ?><?php //// IE Chrome Safariでは動作しない。 ?> 
	"<img src='style/"+styleActif+"/images/parent.<?php echo $_SESSION["ws"]["formatExt"]?>' class='boutonsMenuContext'> <?php echo $_SESSION["ws"]["dia"]["upDir"]?>|4|remonter(boutonUp)",
<?php } ?>
	"<img src='style/"+styleActif+"/images/update.<?php echo $_SESSION["ws"]["formatExt"]?>' class='boutonsMenuContext'> <?php echo $_SESSION["ws"]["dia"]["updateDir"]?>|0|actualiser()",
	"",
	"<img src='style/"+styleActif+"/images/print.<?php echo $_SESSION["ws"]["formatExt"]?>' class='boutonsMenuContext'> <?php echo $_SESSION["ws"]["dia"]["printGallery"]?>|6|imprimerCadre('frame_galerie')"
);


<?php //// 各メニューボタンのさらに中身 ?> 

<?php //// フォルダオプションメニュー ?> 
items_affichopt = new Array(
	"<img src='style/"+styleActif+"/images/vide.<?php echo $_SESSION["ws"]["formatExt"]?>' class='boutonsMenuContext'> <?php echo $_SESSION["ws"]["dia"]["rep"].$_SESSION["ws"]["dia"]["options"]?> :|9|rien(actuel)",
	"",
<?php if($navig!='IE' && $navig!='IE7' && $navig!='KH') { ?><?php //// IE Chrome Safariでは動作しない。 ?> 
	"<img src='style/"+styleActif+"/images/parent.<?php echo $_SESSION["ws"]["formatExt"]?>' class='boutonsMenuContext'> <?php echo $_SESSION["ws"]["dia"]["upDir"]?>|4|remonter(boutonUp)",<?php //// 追加 ?> 
<?php } ?>
	"<img src='style/"+styleActif+"/images/update.<?php echo $_SESSION["ws"]["formatExt"]?>' class='boutonsMenuContext'> <?php echo $_SESSION["ws"]["dia"]["updateDir"]?>|0|actualiser()",<?php //// 追加 ?> 
	"",
	"<img src='style/"+styleActif+"/images/save.<?php echo $_SESSION["ws"]["formatExt"]?>' class='boutonsMenuContext'> <?php echo $_SESSION["ws"]["dia"]["saveAll"]?>|0|toutSauver(actuel,this.innerHTML)",
<?php //// なぜか使えないので非表示。関数がまだできていないようだ。 ?> 
/*
	"<img src='style/"+styleActif+"/images/selall.<?php echo $_SESSION["ws"]["formatExt"]?>' class='boutonsMenuContext'> <?php echo $_SESSION["ws"]["dia"]["selectAll"]?>|8|toutSelectionner(actuel)",
	"<img src='style/"+styleActif+"/images/renall.<?php echo $_SESSION["ws"]["formatExt"]?>' class='boutonsMenuContext'> <?php echo $_SESSION["ws"]["dia"]["renameAll"]?>|8|toutRenommer(actuel)",
*/
	"",
	"<img src='style/"+styleActif+"/images/paste.<?php echo $_SESSION["ws"]["formatExt"]?>' class='boutonsMenuContext'> <?php echo $_SESSION["ws"]["dia"]["toPaste"]?>|<?php echo (($_SESSION["ws"]["auth4"]=="on")?"5":"8"); ?>|coller(memoLien,this.innerHTML)",
	"",
	"<img src='style/"+styleActif+"/images/prop.<?php echo $_SESSION["ws"]["formatExt"]?>' class='boutonsMenuContext'> <?php echo $_SESSION["ws"]["dia"]["toSearch"]?>|0|rechercher(actuel,this.innerHTML)",
	"<img src='style/"+styleActif+"/images/comment.<?php echo $_SESSION["ws"]["formatExt"]?>' class='boutonsMenuContext'> <?php echo $_SESSION["ws"]["dia"]["frameTitle"]?>|<?php echo (($_SESSION["ws"]["auth7"]=="on")?"1":"8"); ?>|commenterGlobal(this.innerHTML)",
	"<img src='style/"+styleActif+"/images/print.<?php echo $_SESSION["ws"]["formatExt"]?>' class='boutonsMenuContext'> <?php echo $_SESSION["ws"]["dia"]["printGallery"]?>|6|imprimerCadre('frame_galerie')"
);


// Menu contextuel de la barre d'adresse
items_adresse = new Array(
	"<img src='style/"+styleActif+"/images/goto.<?php echo $_SESSION["ws"]["formatExt"]?>' class='boutonsMenuContext'> <b><?php echo $_SESSION["ws"]["dia"]["toBrowse"]?></b>|6|naviguer(memoLien)"
);


<?php //// コンテキストメニュー(+ボタンや右クリックで表示される)の中身。 ?>
<?php //// 接続方法(ローカル、FTP)やフォルダやファイルの種類などによっていろいろあるようだ。 ?> 

<?php //// フォルダ  ?> 
// Menu contextuel local d'un dossier
items_dossier = new Array(
	"<img src='style/"+styleActif+"/images/goto.<?php echo $_SESSION["ws"]["formatExt"]?>' class='boutonsMenuContext'> <b><?php echo $_SESSION["ws"]["dia"]["toBrowse"]?></b>|6|naviguer(memoLien)",
	"",
<?php //// 動作しないので非表示。関数がまだできていないようだ。 ?> 
/*
	"<img src='style/"+styleActif+"/images/sel.<?php echo $_SESSION["ws"]["formatExt"]?>' class='boutonsMenuContext'> <?php echo $_SESSION["ws"]["dia"]["select"]?>|8|selectionner(actuel)",
	"",
*/
	"<img src='style/"+styleActif+"/images/cut.<?php echo $_SESSION["ws"]["formatExt"]?>' class='boutonsMenuContext'> <?php echo $_SESSION["ws"]["dia"]["toCut"]?>|<?php echo (($_SESSION["ws"]["auth4"]=="on")?"1":"8"); ?>|couper(memoLien,this.innerHTML)",
	"<img src='style/"+styleActif+"/images/copy.<?php echo $_SESSION["ws"]["formatExt"]?>' class='boutonsMenuContext'> <?php echo $_SESSION["ws"]["dia"]["toCopy"]?>|<?php echo (($_SESSION["ws"]["auth4"]=="on")?"6":"8"); ?>|copier(memoLien,this.innerHTML)",
	"<img src='style/"+styleActif+"/images/rename.<?php echo $_SESSION["ws"]["formatExt"]?>' class='boutonsMenuContext'> <?php echo $_SESSION["ws"]["dia"]["toRename"]?>|<?php echo (($_SESSION["ws"]["auth4"]=="on")?"1":"8"); ?>|renommer(memoLien,this.innerHTML)",
	"<img src='style/"+styleActif+"/images/delete.<?php echo $_SESSION["ws"]["formatExt"]?>' class='boutonsMenuContext'> <?php echo $_SESSION["ws"]["dia"]["toDelete"]?>|<?php echo (($_SESSION["ws"]["auth5"]=="on")?"1":"8"); ?>|supprimer(memoLien,this.innerHTML)",
	"",
<?php //// 検索。コンテキストメニューに表示するとわずらわしい。 ?> 
/*
	"<img src='style/"+styleActif+"/images/prop.<?php echo $_SESSION["ws"]["formatExt"]?>' class='boutonsMenuContext'> <?php echo $_SESSION["ws"]["dia"]["toSearch"]?>|6|rechercher(actuel,this.innerHTML)",
	"",
*/
<?php if($_SESSION["ws"]["auth6"]=="on") { ?><?php //// アクセス権を変更項目。権限がなければ非表示に。 ?> 
	"<img src='style/"+styleActif+"/images/acces.<?php echo $_SESSION["ws"]["formatExt"]?>' class='boutonsMenuContext'> <?php echo $_SESSION["ws"]["dia"]["modifyPermission"]?>|<?php echo (($_SESSION["ws"]["auth6"]=="on")?"7":"8"); ?>|autoriser(memoLien,this.innerHTML)",
<?php } ?>
	"<img src='style/"+styleActif+"/images/fav.<?php echo $_SESSION["ws"]["formatExt"]?>' class='boutonsMenuContext'> <?php echo $_SESSION["ws"]["dia"]["addFav"]?>|<?php echo (($_SESSION["ws"]["auth8"]=="on")?"13":"8"); ?>|ajouterFav(1,memoLien,this.innerHTML)",
	"<img src='style/"+styleActif+"/images/comment.<?php echo $_SESSION["ws"]["formatExt"]?>' class='boutonsMenuContext'> <?php echo $_SESSION["ws"]["dia"]["addComment"]?>|<?php echo (($_SESSION["ws"]["auth7"]=="on")?"6":"8"); ?>|commenter(memoLien,this.innerHTML)",
	"<img src='style/"+styleActif+"/images/info.<?php echo $_SESSION["ws"]["formatExt"]?>' class='boutonsMenuContext'> <?php echo $_SESSION["ws"]["dia"]["property"]?>|6|detailer(memoLien,1)"
);

<?php //// FTP接続のフォルダ？ ?> 
// Menu contextuel FTP d'un dossier
items_dossier2 = new Array(
	"<img src='style/"+styleActif+"/images/goto.<?php echo $_SESSION["ws"]["formatExt"]?>' class='boutonsMenuContext'> <b><?php echo $_SESSION["ws"]["dia"]["toBrowse"]?></b>|6|naviguer(memoLien)",
	"",
	"<img src='style/"+styleActif+"/images/cut.<?php echo $_SESSION["ws"]["formatExt"]?>' class='boutonsMenuContext'> <?php echo $_SESSION["ws"]["dia"]["toCut"]?>|<?php echo (($_SESSION["ws"]["auth4"]=="on")?"1":"8"); ?>|couper(memoLien,this.innerHTML)",
	"<img src='style/"+styleActif+"/images/copy.<?php echo $_SESSION["ws"]["formatExt"]?>' class='boutonsMenuContext'> <?php echo $_SESSION["ws"]["dia"]["toCopy"]?>|<?php echo (($_SESSION["ws"]["auth4"]=="on")?"6":"8"); ?>|copier(memoLien,this.innerHTML)",
	"<img src='style/"+styleActif+"/images/rename.<?php echo $_SESSION["ws"]["formatExt"]?>' class='boutonsMenuContext'> <?php echo $_SESSION["ws"]["dia"]["toRename"]?>|<?php echo (($_SESSION["ws"]["auth4"]=="on")?"1":"8"); ?>|renommer(memoLien,this.innerHTML)",
	"<img src='style/"+styleActif+"/images/delete.<?php echo $_SESSION["ws"]["formatExt"]?>' class='boutonsMenuContext'> <?php echo $_SESSION["ws"]["dia"]["toDelete"]?>|<?php echo (($_SESSION["ws"]["auth5"]=="on")?"1":"8"); ?>|supprimer(memoLien,this.innerHTML)"
);

<?php //// エクスプローラ画面のサーバー名のコンテキストメニュー ?> 
// Menu contextuel d'un dossier d'arborescence
items_arbo = new Array(
	"<img src='style/"+styleActif+"/images/miniopen.<?php echo $_SESSION["ws"]["formatExt"]?>' class='boutonsMenuContext'> <b><?php echo $_SESSION["ws"]["dia"]["toBrowse"]?></b>|6|naviguer(memoLien)",
	"",
	"<img src='style/"+styleActif+"/images/update.<?php echo $_SESSION["ws"]["formatExt"]?>' class='boutonsMenuContext'> <?php echo $_SESSION["ws"]["dia"]["refreshTree"]?>|6|explorerServeur(memoSrv)",
	"<img src='style/"+styleActif+"/images/reduce.<?php echo $_SESSION["ws"]["formatExt"]?>' class='boutonsMenuContext'> <?php echo $_SESSION["ws"]["dia"]["hideTree"]?>|6|reduce(actuel)",
	"<img src='style/"+styleActif+"/images/deploy.<?php echo $_SESSION["ws"]["formatExt"]?>' class='boutonsMenuContext'> <?php echo $_SESSION["ws"]["dia"]["showTree"]?>|6|deploy(actuel)"
);


<?php //// エクスプローラ画面のごみ箱の右クリック時のコンテキストメニュー ?> 
// Menu contextuel de la corbeille (arborescence)
items_trb = new Array(
	"<img src='style/"+styleActif+"/images/zoom.<?php echo $_SESSION["ws"]["formatExt"]?>' class='boutonsMenuContext'> <b><?php echo $_SESSION["ws"]["dia"]["viewElements"]?></b>|1|voirCorbeille()",
	"<img src='style/"+styleActif+"/images/delete.<?php echo $_SESSION["ws"]["formatExt"]?>' class='boutonsMenuContext'> <?php echo $_SESSION["ws"]["dia"]["emptyBin"]?>|1|viderCorbeille(this.innerHTML)"
);


<?php //// ごみ箱の空白部右クリック時のコンテキストメニュー ?> 
// Menu contextuel du dossier de la corbeille 
items_defaut_trb = new Array(
	"<img src='style/"+styleActif+"/images/delete.<?php echo $_SESSION["ws"]["formatExt"]?>' class='boutonsMenuContext'> <?php echo $_SESSION["ws"]["dia"]["emptyBin"]?>|1|viderCorbeille(this.innerHTML)"
);


<?php //// ごみ箱のファイル右クリック時のコンテキストメニュー ?> 
// Menu contextuel d'un �l�ment de la corbeille 
items_local_trb = new Array(
	"<img src='style/"+styleActif+"/images/upd.<?php echo $_SESSION["ws"]["formatExt"]?>' class='boutonsMenuContext'> <b><?php echo $_SESSION["ws"]["dia"]["restoreElement"]?></b>|1|retablirElm(memoLien,this.innerHTML)",
<?php if($_SESSION["ws"]["auth4"] == "on") { ?>
	"<img src='style/"+styleActif+"/images/copy.<?php echo $_SESSION["ws"]["formatExt"]?>' class='boutonsMenuContext'> <?php echo $_SESSION["ws"]["dia"]["toCopy"]?>|<?php echo (($_SESSION["ws"]["auth4"]=="on")?"6":"8"); ?>|copier(memoLien,this.innerHTML)",
<?php } ?>
	"<img src='style/"+styleActif+"/images/delete.<?php echo $_SESSION["ws"]["formatExt"]?>' class='boutonsMenuContext'> <?php echo $_SESSION["ws"]["dia"]["toDelete"].$_SESSION["ws"]["dia"]["finally"]?>|1|supprimerDef(memoLien,this.innerHTML)",
	"",
	"<img src='style/"+styleActif+"/images/info.<?php echo $_SESSION["ws"]["formatExt"]?>' class='boutonsMenuContext'> <?php echo $_SESSION["ws"]["dia"]["property"]?>|6|detailer(memoLien,1)"
);


<?php //// 各アイテムクリック時のコンテキストメニューの共通部分。 ?>
<?php //// この上にアクションメニューが追加される。 ?> 
// Menu contextuel d'un fichier de type reconnu
global = new Array(
	"<img src='style/"+styleActif+"/images/save.<?php echo $_SESSION["ws"]["formatExt"]?>' class='boutonsMenuContext'> <?php echo $_SESSION["ws"]["dia"]["saveFile"]?>|6|sauver(memoLien)",
<?php //// 動作しないので非表示。関数未完成。 ?> 
/*
	"<img src='style/"+styleActif+"/images/sel.<?php echo $_SESSION["ws"]["formatExt"]?>' class='boutonsMenuContext'> <?php echo $_SESSION["ws"]["dia"]["select"]?>|8|selectionner(actuel)",
*/
	"",
	"<img src='style/"+styleActif+"/images/cut.<?php echo $_SESSION["ws"]["formatExt"]?>' class='boutonsMenuContext'> <?php echo $_SESSION["ws"]["dia"]["toCut"]?>|<?php echo (($_SESSION["ws"]["auth4"]=="on")?"1":"8"); ?>|couper(memoLien,this.innerHTML)",
	"<img src='style/"+styleActif+"/images/copy.<?php echo $_SESSION["ws"]["formatExt"]?>' class='boutonsMenuContext'> <?php echo $_SESSION["ws"]["dia"]["toCopy"]?>|<?php echo (($_SESSION["ws"]["auth4"]=="on")?"6":"8"); ?>|copier(memoLien,this.innerHTML)",
	"<img src='style/"+styleActif+"/images/rename.<?php echo $_SESSION["ws"]["formatExt"]?>' class='boutonsMenuContext'> <?php echo $_SESSION["ws"]["dia"]["toRename"]?>|<?php echo (($_SESSION["ws"]["auth4"]=="on")?"1":"8"); ?>|renommer(memoLien,this.innerHTML)",
	"<img src='style/"+styleActif+"/images/delete.<?php echo $_SESSION["ws"]["formatExt"]?>' class='boutonsMenuContext'> <?php echo $_SESSION["ws"]["dia"]["toDelete"]?>|<?php echo (($_SESSION["ws"]["auth5"]=="on")?"1":"8"); ?>|supprimer(memoLien,this.innerHTML)",
	"",
<?php if($_SESSION["ws"]["auth6"]=="on") { ?><?php ////権限がなければ非表示 ?> 
	"<img src='style/"+styleActif+"/images/acces.<?php echo $_SESSION["ws"]["formatExt"]?>' class='boutonsMenuContext'> <?php echo $_SESSION["ws"]["dia"]["modifyPermission"]?>|<?php echo (($_SESSION["ws"]["auth6"]=="on")?"7":"8"); ?>|autoriser(memoLien,this.innerHTML)",
<?php } ?>
<?php //// アイテムのロック。非表示。?> 
/* // Lock item
	"<img src='style/"+styleActif+"/images/alerte.<?php echo $_SESSION["ws"]["formatExt"]?>' class='boutonsMenuContext'> <?php echo $_SESSION["ws"]["dia"]["disallowModif"]?>|<?php echo (($_SESSION["ws"]["auth6"]=="on")?"12":"8"); ?>|bloquerModif(1,memoLien,this.innerHTML)",
*/
	"<img src='style/"+styleActif+"/images/fav.<?php echo $_SESSION["ws"]["formatExt"]?>' class='boutonsMenuContext'> <?php echo $_SESSION["ws"]["dia"]["addFav"]?>|<?php echo (($_SESSION["ws"]["auth8"]=="on")?"13":"8"); ?>|ajouterFav(1,memoLien,this.innerHTML)",
<?php if($_SESSION["ws"]["sendMail"]=="1" && trim($_SESSION["ws"]["mailUser"])){ ?>
	"<img src='style/"+styleActif+"/images/contact.<?php echo $_SESSION["ws"]["formatExt"]?>' class='boutonsMenuContext'> <?php echo $_SESSION["ws"]["dia"]["sendMail"]?>|<?php echo (($_SESSION["ws"]["sendMail"]=="1")?"1":"8"); ?>|sendItem(memoLien,this.innerHTML)",
<?php } ?>
	"<img src='style/"+styleActif+"/images/comment.<?php echo $_SESSION["ws"]["formatExt"]?>' class='boutonsMenuContext'> <?php echo $_SESSION["ws"]["dia"]["addComment"]?>|<?php echo (($_SESSION["ws"]["auth7"]=="on")?"6":"8"); ?>|commenter(memoLien,this.innerHTML)",
	"<img src='style/"+styleActif+"/images/info.<?php echo $_SESSION["ws"]["formatExt"]?>' class='boutonsMenuContext'> <?php echo $_SESSION["ws"]["dia"]["property"]?>|6|detailer(memoLien,1)"
);


<?php //// メインメニューの中身 ?>
<?php //// 表示選択(サムネイル，アイコン，リストなど)メニュー ?> 
// Menu contextuel de la fonction de changement d'affichage
items_affichtype = new Array(
	"<img src='style/"+styleActif+"/images/vide.<?php echo $_SESSION["ws"]["formatExt"]?>' class='boutonsMenuContext'> <?php echo $_SESSION["ws"]["dia"]["affichage"]?> :|9|rien(actuel)",
	"",
	"<img src='style/"+styleActif+"/images/view_i.<?php echo $_SESSION["ws"]["formatExt"]?>' class='boutonsMenuContext'> <?php echo $_SESSION["ws"]["dia"]["miniature"]?>|0|changeType('miniatures')",
	"<img src='style/"+styleActif+"/images/view_m.<?php echo $_SESSION["ws"]["formatExt"]?>' class='boutonsMenuContext'> <?php echo $_SESSION["ws"]["dia"]["bigIcone"]?>|0|changeType('grandes')",
	"<img src='style/"+styleActif+"/images/view_d.<?php echo $_SESSION["ws"]["formatExt"]?>' class='boutonsMenuContext'> <?php echo $_SESSION["ws"]["dia"]["liste"]?>|0|changeType('liste')",
	"<img src='style/"+styleActif+"/images/view_t.<?php echo $_SESSION["ws"]["formatExt"]?>' class='boutonsMenuContext'> <?php echo $_SESSION["ws"]["dia"]["details"]?>|0|changeType('details')"
);

<?php //// 前ページへメニュー ?> 
items_precedent = new Array(
	"<img src='style/"+styleActif+"/images/prev.<?php echo $_SESSION["ws"]["formatExt"]?>' class='boutonsMenuContext'> <b><?php echo $_SESSION["ws"]["dia"]["previousPage"]?></b>|2|precedent(boutonBack)"
);

<?php //// 上位階層フォルダアイコンの上位階層へメニュー ?> 
items_sup = new Array(
<?php if($navig!='IE' && $navig!='IE7' && $navig!='KH') { ?><?php //// IE Chrome Safariでは動作しない。 ?> 
	"<img src='style/"+styleActif+"/images/parent.<?php echo $_SESSION["ws"]["formatExt"]?>' class='boutonsMenuContext'> <b><?php echo $_SESSION["ws"]["dia"]["upDir"]?></b>|4|remonter(boutonUp)"
<?php } else { ?>
	"<img src='style/"+styleActif+"/images/goto.<?php echo $_SESSION["ws"]["formatExt"]?>' class='boutonsMenuContext'> <b><?php echo $_SESSION["ws"]["dia"]["toBrowse"]?></b>|6|naviguer(memoLien)"
<?php } ?>
);

<?php //// ?どこのメニューか不明 ?> 
items_parent = new Array(
<?php if($navig!='IE' && $navig!='IE7' && $navig!='KH') { ?><?php //// IE Chrome Safariではおそらく動作しない。 ?> 
	"<img src='style/"+styleActif+"/images/parent.<?php echo $_SESSION["ws"]["formatExt"]?>' class='boutonsMenuContext'> <b><?php echo $_SESSION["ws"]["dia"]["upDir"]?></b>|4|remonter(boutonUp)"
<?php } else { ?>
	"<img src='style/"+styleActif+"/images/goto.<?php echo $_SESSION["ws"]["formatExt"]?>' class='boutonsMenuContext'> <b><?php echo $_SESSION["ws"]["dia"]["toBrowse"]?></b>|6|naviguer(memoLien)"
<?php } ?>
);

<?php //// フォルダを更新メニュー ?> 
items_update = new Array(
	"<img src='style/"+styleActif+"/images/update.<?php echo $_SESSION["ws"]["formatExt"]?>' class='boutonsMenuContext'> <b><?php echo $_SESSION["ws"]["dia"]["updateDir"]?></b>|0|actualiser()"
);

<?php //// 終了メニュー ?> 
items_buttonquit = new Array(
	"<img src='style/"+styleActif+"/images/exit.<?php echo $_SESSION["ws"]["formatExt"]?>' class='boutonsMenuContext'> <b><?php echo $_SESSION["ws"]["dia"]["toQuit"]?></b>|0|confirmQuitter(actuel)"
);

<?php //// 表示(メイン画面選択:ツリー、ブックマークウィンドウの表示非表示)メニュー ?> 
// Menu contextuel de la fonction de changement de volet
items_affichvue = new Array(
	"<img src='style/"+styleActif+"/images/vide.<?php echo $_SESSION["ws"]["formatExt"]?>' class='boutonsMenuContext'> <?php echo $_SESSION["ws"]["dia"]["expPanel"]?> :|9|rien(actuel)",
	"",
	"<img src='style/"+styleActif+"/images/cancel2.<?php echo $_SESSION["ws"]["formatExt"]?>' class='boutonsMenuContext'> <?php echo $_SESSION["ws"]["dia"]["none"]?>|0|alterner('0')",
	"<img src='style/"+styleActif+"/images/arbo2.<?php echo $_SESSION["ws"]["formatExt"]?>' class='boutonsMenuContext'> <?php echo $_SESSION["ws"]["dia"]["arbo"]?>|0|alterner('1')",
	"<img src='style/"+styleActif+"/images/fav.<?php echo $_SESSION["ws"]["formatExt"]?>' class='boutonsMenuContext'> <?php echo $_SESSION["ws"]["dia"]["favoris"]?>|0|alterner('2')",
	"<img src='style/"+styleActif+"/images/all.<?php echo $_SESSION["ws"]["formatExt"]?>' class='boutonsMenuContext'> <?php echo $_SESSION["ws"]["dia"]["all"]?>|0|alterner('3')"
);

<?php //// ソートの基準メニュー ?> 
// Menu contextuel de la fonction de changement de tri
items_affichtri = new Array(
	"<img src='style/"+styleActif+"/images/vide.<?php echo $_SESSION["ws"]["formatExt"]?>' class='boutonsMenuContext'> <?php echo $_SESSION["ws"]["dia"]["sortFile"]?> :|9|rien(actuel)",
	"",
	"<img src='style/"+styleActif+"/images/tri.<?php echo $_SESSION["ws"]["formatExt"]?>' class='boutonsMenuContext'> <?php echo $_SESSION["ws"]["dia"]["byName"]?>|0|changeTri('fichier')",
	"<img src='style/"+styleActif+"/images/tri.<?php echo $_SESSION["ws"]["formatExt"]?>' class='boutonsMenuContext'> <?php echo $_SESSION["ws"]["dia"]["byValue"]?>|0|changeTri('valeur')",
	"<img src='style/"+styleActif+"/images/tri.<?php echo $_SESSION["ws"]["formatExt"]?>' class='boutonsMenuContext'> <?php echo $_SESSION["ws"]["dia"]["byType"]?>|0|changeTri('extension')",
	"<img src='style/"+styleActif+"/images/tri.<?php echo $_SESSION["ws"]["formatExt"]?>' class='boutonsMenuContext'> <?php echo $_SESSION["ws"]["dia"]["bySize"]?>|0|changeTri('taille')",
	"<img src='style/"+styleActif+"/images/tri.<?php echo $_SESSION["ws"]["formatExt"]?>' class='boutonsMenuContext'> <?php echo $_SESSION["ws"]["dia"]["byDate"]?>|0|changeTri('modiftri')",
	"",
	"<img src='style/"+styleActif+"/images/asc.<?php echo $_SESSION["ws"]["formatExt"]?>' class='boutonsMenuContext'> <?php echo $_SESSION["ws"]["dia"]["ascending"]?>|0|changeSensTri('asc')",
	"<img src='style/"+styleActif+"/images/desc.<?php echo $_SESSION["ws"]["formatExt"]?>' class='boutonsMenuContext'> <?php echo $_SESSION["ws"]["dia"]["descending"]?>|0|changeSensTri('desc')"
);

<?php //// 新規追加メニュー ?> 
// Menu contextuel de la fonction d'ajout d'element
items_affichnew = new Array(
	"<img src='style/"+styleActif+"/images/vide.<?php echo $_SESSION["ws"]["formatExt"]?>' class='boutonsMenuContext'> <?php echo $_SESSION["ws"]["dia"]["addNew"]?> :|9|rien(actuel)",
	"",
	"<img src='style/"+styleActif+"/images/new2.<?php echo $_SESSION["ws"]["formatExt"]?>' class='boutonsMenuContext'> <?php echo $_SESSION["ws"]["dia"]["newDir"]?>|<?php echo (($_SESSION["ws"]["auth2"]=="on")?"11":"8"); ?>|creaDossier(actuel,this.innerHTML)",
	"<img src='style/"+styleActif+"/images/new3.<?php echo $_SESSION["ws"]["formatExt"]?>' class='boutonsMenuContext'> <?php echo $_SESSION["ws"]["dia"]["newFile"]?>|<?php echo (($_SESSION["ws"]["auth2"]=="on")?"11":"8"); ?>|openUpload(actuel,this.innerHTML)",
	"<img src='style/"+styleActif+"/images/new4.<?php echo $_SESSION["ws"]["formatExt"]?>' class='boutonsMenuContext'> <?php echo $_SESSION["ws"]["dia"]["newLink"]?>|<?php echo (($_SESSION["ws"]["auth2"]=="on")?"11":"8"); ?>|creaLien(actuel,this.innerHTML)",
	"<img src='style/"+styleActif+"/images/new5.<?php echo $_SESSION["ws"]["formatExt"]?>' class='boutonsMenuContext'> <?php echo $_SESSION["ws"]["dia"]["newTxt"]?>|<?php echo (($_SESSION["ws"]["auth2"]=="on")?"11":"8"); ?>|creaTxt(actuel,this.innerHTML)"
);

<?php //// オプションメニューの中身。表示ボタンは$_SESSION["ws"]["dia"]["options"]。452行目あたり。 ?> 
// Menu contextuel des fonctions complementaires
items_affichadmin = new Array(
	"<img src='style/"+styleActif+"/images/admin.<?php echo $_SESSION["ws"]["formatExt"]?>' class='boutonsMenuContext'> <?php echo $_SESSION["ws"]["dia"]["options"]?> :|9|rien(actuel)",
	"",
	"<img src='style/"+styleActif+"/images/fav.<?php echo $_SESSION["ws"]["formatExt"]?>' class='boutonsMenuContext'> <?php echo $_SESSION["ws"]["dia"]["about"]?> Webshare |0|apropos(this.innerHTML)",
/*
	"<img src='style/"+styleActif+"/images/contact.<?php echo $_SESSION["ws"]["formatExt"]?>' class='boutonsMenuContext'> <?php echo $_SESSION["ws"]["dia"]["rapport"]?>|0|surfer('http://contact.webshare.fr/');openFull();",
*/
	"<img src='style/"+styleActif+"/images/idea.<?php echo $_SESSION["ws"]["formatExt"]?>' class='boutonsMenuContext'> <?php echo $_SESSION["ws"]["dia"]["onlineHelp"]?>|0|surfer('http://forum.webshare.fr/');openFull();"
<?php //// 余計な表示はやめる。 ?> 
<?php if($_SESSION["ws"]["autoUserAcc"]=="1") { ?>
	,"",
	"<img src='style/"+styleActif+"/images/chuser.<?php echo $_SESSION["ws"]["formatExt"]?>' class='boutonsMenuContext'> <?php echo $_SESSION["ws"]["dia"]["myPref"]?>|<?php echo (($_SESSION["ws"]["publicUser"]=="on")?"8":"0"); ?>|affichePref(this.innerHTML)"
<?php } ?>
);
<?php //// 以上、メインメニューの中身 ?> 


// Menu contextuel "� propos"
items_apropos = new Array(
	"<img src='style/"+styleActif+"/images/fav.<?php echo $_SESSION["ws"]["formatExt"]?>' class='boutonsMenuContext'> <?php echo $_SESSION["ws"]["dia"]["about"]?> Webshare |0|apropos(this.innerHTML)"
);

<?php //// 写真表示ウインドウの編集用コンテキストメニュー。ウィンドウメニュー用は下の menu_images。 ?> 
// Menu contextuel de la visualisation d'image
items_wspict = new Array(
	"<img src='style/"+styleActif+"/images/prev.<?php echo $_SESSION["ws"]["formatExt"]?>' class='boutonsMenuContext'> <?php echo $_SESSION["ws"]["dia"]["previous"]?>|0|precedente(actuel)",
	"<img src='style/"+styleActif+"/images/next.<?php echo $_SESSION["ws"]["formatExt"]?>' class='boutonsMenuContext'> <?php echo $_SESSION["ws"]["dia"]["next"]?>|0|suivante(actuel)",
	"",
	"<img id='zoomBtn2' src='style/"+styleActif+"/images/zoomn.<?php echo $_SESSION["ws"]["formatExt"]?>' class='boutonsMenuContext'> <?php echo $_SESSION["ws"]["dia"]["zooms"]?>|0|zoom100()",
	"<img src='style/"+styleActif+"/images/zoomb.<?php echo $_SESSION["ws"]["formatExt"]?>' class='boutonsMenuContext'> <?php echo $_SESSION["ws"]["dia"]["zoomp"]?>|0|zoomp()",
	"<img src='style/"+styleActif+"/images/zooml.<?php echo $_SESSION["ws"]["formatExt"]?>' class='boutonsMenuContext'> <?php echo $_SESSION["ws"]["dia"]["zoomm"]?>|0|zoomm()",
	"<img src='style/"+styleActif+"/images/diapo.<?php echo $_SESSION["ws"]["formatExt"]?>' class='boutonsMenuContext'> <?php echo $_SESSION["ws"]["dia"]["diaporama"]?>|0|lanceDiapo(memoLien)",
	"",
<?php if(MENU_IMAGEMODIFY >= $_SESSION["ws"]["typeUser"]) { ?>
	"<img src='style/"+styleActif+"/images/pic90.<?php echo $_SESSION["ws"]["formatExt"]?>' class='boutonsMenuContext'> <?php echo $_SESSION["ws"]["dia"]["rotate90"]?>|<?php echo (($_SESSION["ws"]["auth3"]=="on")?"11":"8"); ?>|modifierImage(1)",
	"<img src='style/"+styleActif+"/images/pic180.<?php echo $_SESSION["ws"]["formatExt"]?>' class='boutonsMenuContext'> <?php echo $_SESSION["ws"]["dia"]["rotate180"]?>|<?php echo (($_SESSION["ws"]["auth3"]=="on")?"11":"8"); ?>|modifierImage(2)",
	"<img src='style/"+styleActif+"/images/pic270.<?php echo $_SESSION["ws"]["formatExt"]?>' class='boutonsMenuContext'> <?php echo $_SESSION["ws"]["dia"]["rotate270"]?>|<?php echo (($_SESSION["ws"]["auth3"]=="on")?"11":"8"); ?>|modifierImage(3)",
	"<img src='style/"+styleActif+"/images/pich.<?php echo $_SESSION["ws"]["formatExt"]?>' class='boutonsMenuContext'> <?php echo $_SESSION["ws"]["dia"]["flipH"]?>|<?php echo (($_SESSION["ws"]["auth3"]=="on")?"11":"8"); ?>|modifierImage(4)",
	"<img src='style/"+styleActif+"/images/picv.<?php echo $_SESSION["ws"]["formatExt"]?>' class='boutonsMenuContext'> <?php echo $_SESSION["ws"]["dia"]["flipV"]?>|<?php echo (($_SESSION["ws"]["auth3"]=="on")?"11":"8"); ?>|modifierImage(5)",
	"<img src='style/"+styleActif+"/images/resize.<?php echo $_SESSION["ws"]["formatExt"]?>' class='boutonsMenuContext'> <?php echo $_SESSION["ws"]["dia"]["resize"]?>|<?php echo (($_SESSION["ws"]["auth3"]=="on")?"11":"8"); ?>|modifierImage(6)",
	"",
<?php } ?>
	"<img src='style/"+styleActif+"/images/print.<?php echo $_SESSION["ws"]["formatExt"]?>' class='boutonsMenuContext'> <?php echo $_SESSION["ws"]["dia"]["toPrint"]?>|0|imprimerCadre('cadrpic')",
	"<img src='style/"+styleActif+"/images/save.<?php echo $_SESSION["ws"]["formatExt"]?>' class='boutonsMenuContext'> <?php echo $_SESSION["ws"]["dia"]["savePic"]?>|0|sauverimage(actuel)"
);


<?php //// EditerのSyntax Highlightingメニュー ?> 
// Menu contextuel de la coloration syntaxique
items_affichlangcode = new Array(
	"<img src='style/"+styleActif+"/images/vide.<?php echo $_SESSION["ws"]["formatExt"]?>' class='boutonsMenuContext'> PHP|0|document.getElementById('apercu').contentWindow.editContent.edit('cp-php','php')",
	"<img src='style/"+styleActif+"/images/vide.<?php echo $_SESSION["ws"]["formatExt"]?>' class='boutonsMenuContext'> Javascript|0|document.getElementById('apercu').contentWindow.editContent.edit('cp-javascript','javascript')",
	"<img src='style/"+styleActif+"/images/vide.<?php echo $_SESSION["ws"]["formatExt"]?>' class='boutonsMenuContext'> Java|0|document.getElementById('apercu').contentWindow.editContent.edit('cp-java','java')",
	"<img src='style/"+styleActif+"/images/vide.<?php echo $_SESSION["ws"]["formatExt"]?>' class='boutonsMenuContext'> HTML|0|document.getElementById('apercu').contentWindow.editContent.edit('cp-html','html')",
	"<img src='style/"+styleActif+"/images/vide.<?php echo $_SESSION["ws"]["formatExt"]?>' class='boutonsMenuContext'> CSS|0|document.getElementById('apercu').contentWindow.editContent.edit('cp-css','css')",
	"<img src='style/"+styleActif+"/images/vide.<?php echo $_SESSION["ws"]["formatExt"]?>' class='boutonsMenuContext'> ASP|0|document.getElementById('apercu').contentWindow.editContent.edit('cp-javascript','javascript')",
	"<img src='style/"+styleActif+"/images/vide.<?php echo $_SESSION["ws"]["formatExt"]?>' class='boutonsMenuContext'> C#|0|document.getElementById('apercu').contentWindow.editContent.edit('cp-javascript','javascript')",
	"<img src='style/"+styleActif+"/images/vide.<?php echo $_SESSION["ws"]["formatExt"]?>' class='boutonsMenuContext'> Ruby|0|document.getElementById('apercu').contentWindow.editContent.edit('cp-javascript','javascript')",
	"<img src='style/"+styleActif+"/images/vide.<?php echo $_SESSION["ws"]["formatExt"]?>' class='boutonsMenuContext'> VBscript|0|document.getElementById('apercu').contentWindow.editContent.edit('cp-javascript','javascript')",
	"<img src='style/"+styleActif+"/images/vide.<?php echo $_SESSION["ws"]["formatExt"]?>' class='boutonsMenuContext'> XSL|0|document.getElementById('apercu').contentWindow.editContent.edit('cp-javascript','javascript')",
	"<img src='style/"+styleActif+"/images/vide.<?php echo $_SESSION["ws"]["formatExt"]?>' class='boutonsMenuContext'> Perl|0|document.getElementById('apercu').contentWindow.editContent.edit('cp-perl','perl')",
	"<img src='style/"+styleActif+"/images/vide.<?php echo $_SESSION["ws"]["formatExt"]?>' class='boutonsMenuContext'> SQL|0|document.getElementById('apercu').contentWindow.editContent.edit('cp-sql','sql')",
	"<img src='style/"+styleActif+"/images/vide.<?php echo $_SESSION["ws"]["formatExt"]?>' class='boutonsMenuContext'> Text|0|document.getElementById('apercu').contentWindow.editContent.edit('cp-txt','text')"
);


<?php //// スタイル選択メニュー ?> 
// Menu contextuel de la fonction de changement de style
items_affichcss = new Array(
	"<img src='style/"+styleActif+"/images/vide.<?php echo $_SESSION["ws"]["formatExt"]?>' class='boutonsMenuContext'> <?php echo $_SESSION["ws"]["dia"]["changeStyle"]?> :|9|rien(actuel)",
	""
<?php
$handle = opendir("../style/");
while(false !== ($entry = readdir($handle)))
{
	if((preg_match("@\.css$@", $entry)))
	{
		$nomcss = substr($entry, 0, -4);
		echo
 ",\n".'" '
."<img src='".$_SESSION["ws"]["cheminImg"]."css.".$_SESSION["ws"]["formatExt"]."' class='boutonsMenuContext'> "
.$nomcss."|0|changeStyle('".$nomcss."')".'"';
	}
}
echo "
);\n";
closedir($handle);
?>


tabFileInfo.fileInfoButtonPrecedent = {
  num : "ButtonPrecedent", lnk : "", nom : "", ext : "precedent", lab : "", tai : "", prm : "", pro : "", dtm : "", web : "", fav : "", srv : "" };
tabFileInfo.fileInfoButtonParent = {
  num : "ButtonParent",    lnk : "", nom : "", ext : "parent",    lab : "", tai : "", prm : "", pro : "", dtm : "", web : "", fav : "", srv : "" };
tabFileInfo.fileInfoButtonUpdate = {
  num : "ButtonUpdate",    lnk : "", nom : "", ext : "update",    lab : "", tai : "", prm : "", pro : "", dtm : "", web : "", fav : "", srv : "" };
tabFileInfo.fileInfoButtonAffichNew = {
  num : "ButtonAffichNew", lnk : "", nom : "", ext : "affichnew", lab : "", tai : "", prm : "", pro : "", dtm : "", web : "", fav : "", srv : "" };
tabFileInfo.fileInfoButtonAffichOpt = {
  num : "ButtonAffichOpt", lnk : "", nom : "", ext : "affichopt", lab : "", tai : "", prm : "", pro : "", dtm : "", web : "", fav : "", srv : "" };
tabFileInfo.fileInfoButtonAffichVue = {
  num : "ButtonAffichVue", lnk : "", nom : "", ext : "affichvue", lab : "", tai : "", prm : "", pro : "", dtm : "", web : "", fav : "", srv : "" };
tabFileInfo.fileInfoButtonAffichType = {
  num : "ButtonAffichType",lnk : "", nom : "", ext : "affichtype",lab : "", tai : "", prm : "", pro : "", dtm : "", web : "", fav : "", srv : "" };
tabFileInfo.fileInfoButtonAffichTri = {
  num : "ButtonAffichTri", lnk : "", nom : "", ext : "affichtri", lab : "", tai : "", prm : "", pro : "", dtm : "", web : "", fav : "", srv : "" };
tabFileInfo.fileInfoButtonAffichCss = {
  num : "ButtonAffichCss", lnk : "", nom : "", ext : "affichcss", lab : "", tai : "", prm : "", pro : "", dtm : "", web : "", fav : "", srv : "" };
tabFileInfo.fileInfoButtonAffichAdmin = {
  num : "ButtonAffichAdmin",lnk : "",nom : "", ext : "affichadmin",lab : "",tai : "", prm : "", pro : "", dtm : "", web : "", fav : "", srv : "" };
tabFileInfo.fileInfoButtonQuit = {
  num : "ButtonQuit",      lnk : "", nom : "", ext : "buttonquit",lab : "", tai : "", prm : "", pro : "", dtm : "", web : "", fav : "", srv : "" };


<?php //// メイン画面右上に表示されるメニューボタン群 ?> 
menu_general = 
	"<img src='style/"+styleActif+"/images/bt1.<?php echo $_SESSION["ws"]["formatExt"]?>' class='boutonsMenu' title=\"<?php echo $_SESSION["ws"]["dia"]["previousPage"]?>\" onmouseover=\"elementOver(this,'ButtonPrecedent')\" onmouseout=\"elementOut(this)\" onclick=\"if(boutonBack.length) naviguer(boutonBack)\">&nbsp;"+
<?php if($navig!='IE' && $navig!='IE7' && $navig!='KH') { ?><?php //// IE Chrome Safariでは動作しない。 ?> 
	"<img src='style/"+styleActif+"/images/bt2.<?php echo $_SESSION["ws"]["formatExt"]?>' class='boutonsMenu' title=\"<?php echo $_SESSION["ws"]["dia"]["upDir"]?>\" onmouseover=\"elementOver(this,'ButtonParent')\" onmouseout=\"elementOut(this)\" onclick=\"if(boutonUp.length) naviguer(boutonUp)\">&nbsp;"+
<?php } ?>
<?php /* //// 思い切って再読込みすることにした。ブラウザキャッシュで必ずしも更新されない。
	"<img src='style/"+styleActif+"/images/bt3.<?php echo $_SESSION["ws"]["formatExt"]?>' class='boutonsMenu' title=\"<?php echo $_SESSION["ws"]["dia"]["updateDir"]?>\" onmouseover=\"elementOver(this,'ButtonUpdate')\" onmouseout=\"elementOut(this)\" onclick=\"actualiser()\">&nbsp;"+
*/ ?>
	"<img src='style/"+styleActif+"/images/bt3.<?php echo $_SESSION["ws"]["formatExt"]?>' class='boutonsMenu' title=\"<?php echo $_SESSION["ws"]["dia"]["updateDir"]?>\" onmouseover=\"elementOver(this,'ButtonUpdate')\" onmouseout=\"elementOut(this)\" onclick=\"location.reload()\">&nbsp;"+
	"<img src='style/"+styleActif+"/images/bt5.<?php echo $_SESSION["ws"]["formatExt"]?>' class='boutonsMenu' title=\"<?php echo $_SESSION["ws"]["dia"]["addNew"]?>\" onmouseover=\"elementOver(this,'ButtonAffichNew')\" onmouseout=\"elementOut(this)\" onclick=\"context_open()\">&nbsp;"+
	"<img src='style/"+styleActif+"/images/bt22.<?php echo $_SESSION["ws"]["formatExt"]?>' class='boutonsMenu' title=\"<?php echo $_SESSION["ws"]["dia"]["rep"].$_SESSION["ws"]["dia"]["options"]?>\" onmouseover=\"elementOver(this,'ButtonAffichOpt')\" onmouseout=\"elementOut(this)\" onclick=\"context_open()\">&nbsp;"+
	"<img src='style/"+styleActif+"/images/bt4.<?php echo $_SESSION["ws"]["formatExt"]?>' class='boutonsMenu' title=\"<?php echo $_SESSION["ws"]["dia"]["expPanel"]?>\" onmouseover=\"elementOver(this,'ButtonAffichVue')\" onmouseout=\"elementOut(this)\" onclick=\"context_open()\">&nbsp;"+
	"<img src='style/"+styleActif+"/images/bt6.<?php echo $_SESSION["ws"]["formatExt"]?>' class='boutonsMenu' title=\"<?php echo $_SESSION["ws"]["dia"]["affichage"]?>\" onmouseover=\"elementOver(this,'ButtonAffichType')\" onmouseout=\"elementOut(this)\" onclick=\"context_open()\">&nbsp;"+
	"<img src='style/"+styleActif+"/images/bt7.<?php echo $_SESSION["ws"]["formatExt"]?>' class='boutonsMenu' title=\"<?php echo $_SESSION["ws"]["dia"]["sortFile"]?>\" onmouseover=\"elementOver(this,'ButtonAffichTri')\" onmouseout=\"elementOut(this)\" onclick=\"context_open()\">&nbsp;"+
	"<img src='style/"+styleActif+"/images/bt8.<?php echo $_SESSION["ws"]["formatExt"]?>' class='boutonsMenu' title=\"<?php echo $_SESSION["ws"]["dia"]["changeStyle"]?>\" onmouseover=\"elementOver(this,'ButtonAffichCss')\" onmouseout=\"elementOut(this)\" onclick=\"context_open()\">&nbsp;"+
<?php //// 設定(オプション)メニュー ?> 
	"<img src='style/"+styleActif+"/images/bt9.<?php echo $_SESSION["ws"]["formatExt"]?>' class='boutonsMenu' title=\"<?php echo $_SESSION["ws"]["dia"]["options"]?>\" onmouseover=\"elementOver(this,'ButtonAffichAdmin')\" onmouseout=\"elementOut(this)\" onclick=\"context_open()\">&nbsp;"+
	"<img src='style/"+styleActif+"/images/exit.<?php echo $_SESSION["ws"]["formatExt"]?>' title=\"<?php echo $_SESSION["ws"]["dia"]["toQuit"]?>\" onclick=\"confirmQuitter(actuel)\" onmouseover=\"elementOver(this,'ButtonQuit')\" onmouseout=\"elementOut(this)\">&nbsp;";


<?php //// 以下、コンテンツプレビューウィンドウの右上のメニューボタン ?> 
menu_images =
	"<img src='style/"+styleActif+"/images/bt1.<?php echo $_SESSION["ws"]["formatExt"]?>' class='boutonsMenu' title=\"<?php echo $_SESSION["ws"]["dia"]["previous"]?>\" onclick='precedente();'>"+
	"<img src='style/"+styleActif+"/images/bt10.<?php echo $_SESSION["ws"]["formatExt"]?>' class='boutonsMenu' title=\"<?php echo $_SESSION["ws"]["dia"]["next"]?>\" onclick='suivante();'>"+
	"<img src='style/"+styleActif+"/images/bt19.<?php echo $_SESSION["ws"]["formatExt"]?>' class='boutonsMenu' title=\"<?php echo $_SESSION["ws"]["dia"]["property"]?>\" onclick='reloadExif();'>"+
	"<img id='zoomBtn' src='style/"+styleActif+"/images/bt11n.<?php echo $_SESSION["ws"]["formatExt"]?>' class='boutonsMenu' title=\"<?php echo $_SESSION["ws"]["dia"]["zooms"]?>\" onclick='zoom100();'>"+
	"<img src='style/"+styleActif+"/images/bt11.<?php echo $_SESSION["ws"]["formatExt"]?>' class='boutonsMenu' title=\"<?php echo $_SESSION["ws"]["dia"]["zoomp"]?>\" onclick='zoomp();'>"+
	"<img src='style/"+styleActif+"/images/bt12.<?php echo $_SESSION["ws"]["formatExt"]?>' class='boutonsMenu' title=\"<?php echo $_SESSION["ws"]["dia"]["zoomm"]?>\" onclick='zoomm();'>"+
	"<span id='switchdiapo'><img src='style/"+styleActif+"/images/bt13.<?php echo $_SESSION["ws"]["formatExt"]?>' class='boutonsMenu' title=\"<?php echo $_SESSION["ws"]["dia"]["diaporama"]?>\" onclick='lanceDiapo();'></span>"+
	"<img src='style/"+styleActif+"/images/bt14.<?php echo $_SESSION["ws"]["formatExt"]?>' class='boutonsMenu' title=\"<?php echo $_SESSION["ws"]["dia"]["toPrint"]?>\" onclick='imprimerCadre(\"cadrpic\");'>"+
	"<img src='style/"+styleActif+"/images/bt15.<?php echo $_SESSION["ws"]["formatExt"]?>' class='boutonsMenu' title=\"<?php echo $_SESSION["ws"]["dia"]["savePic"]?>\" onclick='sauverimage();'>"+
	"<span id='switchfull'><img src='style/"+styleActif+"/images/bt20.<?php echo $_SESSION["ws"]["formatExt"]?>' class='boutonsMenu' title=\"<?php echo $_SESSION["ws"]["dia"]["fullScreen"]?>\" onclick='openFull();'></span>&nbsp;"+
	"<img src='style/"+styleActif+"/images/close.<?php echo $_SESSION["ws"]["formatExt"]?>' title=\"<?php echo $_SESSION["ws"]["dia"]["closeWindow"]?>\" onclick='cacher();'>&nbsp;";

menu_liens =
	"<span id='switchfull'><img src='style/"+styleActif+"/images/bt20.<?php echo $_SESSION["ws"]["formatExt"]?>' class='boutonsMenu' title=\"<?php echo $_SESSION["ws"]["dia"]["fullScreen"]?>\" onclick='openFull();'></span> &nbsp;"+
	"<img src='style/"+styleActif+"/images/bt1.<?php echo $_SESSION["ws"]["formatExt"]?>' class='boutonsMenu' title=\"<?php echo $_SESSION["ws"]["dia"]["previousPage"]?>\" onclick='previousPage()'> &nbsp;"+
	"<img src='style/"+styleActif+"/images/bt10.<?php echo $_SESSION["ws"]["formatExt"]?>' class='boutonsMenu' title=\"<?php echo $_SESSION["ws"]["dia"]["nextPage"]?>\" onclick='nextPage()'> &nbsp;"+
	"<img src='style/"+styleActif+"/images/close.<?php echo $_SESSION["ws"]["formatExt"]?>' title=\"<?php echo $_SESSION["ws"]["dia"]["closeWindow"]?>\" onclick='cacher();'> &nbsp;";

menu_divers =
	"<span id='switchfull'><img src='style/"+styleActif+"/images/bt20.<?php echo $_SESSION["ws"]["formatExt"]?>' class='boutonsMenu' title=\"<?php echo $_SESSION["ws"]["dia"]["fullScreen"]?>\" onclick='openFull();'></span> &nbsp;"+
	"<img src='style/"+styleActif+"/images/close.<?php echo $_SESSION["ws"]["formatExt"]?>' title=\"<?php echo $_SESSION["ws"]["dia"]["closeWindow"]?>\" onclick='cacher();'> &nbsp;";


<?php //// editerのメニューボタン ?> 
menu_editer =
	"<span id='switchfull'><img src='style/"+styleActif+"/images/bt20.<?php echo $_SESSION["ws"]["formatExt"]?>' class='boutonsMenu' title=\"<?php echo $_SESSION["ws"]["dia"]["fullScreen"]?>\" onclick='openFull();'></span> &nbsp;"+
	"<img src='style/"+styleActif+"/images/bt23.<?php echo $_SESSION["ws"]["formatExt"]?>' class='boutonsMenu' title=\"<?php echo $_SESSION["ws"]["dia"]["colorMode"]?>\" onmouseover=\"iciPro='';iciType='affichlangcode'\" onmouseout=\"iciType='defaut'\" onclick=\"memoContext();context_open()\"> &nbsp;"+
	"<img src='style/"+styleActif+"/images/bt24.<?php echo $_SESSION["ws"]["formatExt"]?>' class='boutonsMenu' title=\"<?php echo $_SESSION["ws"]["dia"]["lineNumbers"]?>\" onclick='document.getElementById(\"apercu\").contentWindow.editContent.toggleLineNumbers();'> &nbsp;"+
	"<img src='style/"+styleActif+"/images/bt26.<?php echo $_SESSION["ws"]["formatExt"]?>' class='boutonsMenu' title=\"<?php echo $_SESSION["ws"]["dia"]["modeDefault"]?>\" onclick='document.getElementById(\"apercu\").contentWindow.modeSimple();'> &nbsp;"+
	"<img src='style/"+styleActif+"/images/bt25.<?php echo $_SESSION["ws"]["formatExt"]?>' class='boutonsMenu' title=\"<?php echo $_SESSION["ws"]["dia"]["modePreview"]?>\" onclick='document.getElementById(\"apercu\").contentWindow.modePreview();'> &nbsp;"+
	"<img src='style/"+styleActif+"/images/bt15.<?php echo $_SESSION["ws"]["formatExt"]?>' class='boutonsMenu' title=\"<?php echo $_SESSION["ws"]["dia"]["savePic"]?>\" onclick='document.getElementById(\"apercu\").contentWindow.maj();'> &nbsp;"+
	"<img src='style/"+styleActif+"/images/close.<?php echo $_SESSION["ws"]["formatExt"]?>' title=\"<?php echo $_SESSION["ws"]["dia"]["closeWindow"]?>\" onclick='cacher();'> &nbsp;";

menu_web =
	"<span id='switchfull'><img src='style/"+styleActif+"/images/bt20.<?php echo $_SESSION["ws"]["formatExt"]?>' class='boutonsMenu' title=\"<?php echo $_SESSION["ws"]["dia"]["fullScreen"]?>\" onclick='openFull();'></span> &nbsp;"+
	"<img src='style/"+styleActif+"/images/bt1.<?php echo $_SESSION["ws"]["formatExt"]?>' class='boutonsMenu' title=\"<?php echo $_SESSION["ws"]["dia"]["previousPage"]?>\" onclick='previousPage()'> &nbsp;"+
	"<img src='style/"+styleActif+"/images/bt10.<?php echo $_SESSION["ws"]["formatExt"]?>' class='boutonsMenu' title=\"<?php echo $_SESSION["ws"]["dia"]["nextPage"]?>\" onclick='nextPage()'> &nbsp;"+
	"<img src='style/"+styleActif+"/images/close.<?php echo $_SESSION["ws"]["formatExt"]?>' title=\"<?php echo $_SESSION["ws"]["dia"]["closeWindow"]?>\" onclick='cacher();'> &nbsp;";

menu_vide =
	"<span id='switchfull'><img src='style/"+styleActif+"/images/bt20.<?php echo $_SESSION["ws"]["formatExt"]?>' class='boutonsMenu' title=\"<?php echo $_SESSION["ws"]["dia"]["fullScreen"]?>\" onclick='openFull();'></span> &nbsp;"+
	"<img src='style/"+styleActif+"/images/close.<?php echo $_SESSION["ws"]["formatExt"]?>' title=\"<?php echo $_SESSION["ws"]["dia"]["closeWindow"]?>\" onclick='cacher();'> &nbsp;";


<?php //// コンテキストメニューに使用可能なプラグイン等を追加する。 ?>
<?php //// ここでitems_jpgなど登録された拡張子のメニューを作成。 ?> 
// Ajout de la fonction associee
<?php
if(is_dir("../plugins/"))
{
	$listeModules = array();
	$numMod = 0;
	$handle = opendir("../plugins/");
	while(false !== ($entry = readdir($handle)))
	{
		if(is_dir("../plugins/".$entry) && ($entry != "..") && ($entry != "."))
		{
			$listeModules[$numMod] = array();
			$listeModules[$numMod]["name"] = filename($entry);
			$listeModules[$numMod]["labl"] = @file_get_contents("../plugins/".$entry."/label.txt");
			if(empty($listeModules[$numMod]["labl"]))
			{
				$listeModules[$numMod]["labl"] = $_SESSION["ws"]["dia"]["openFileWith"];
			}
			$numMod++;
		}
	}
	closedir($handle);
}
foreach($_SESSION["ws"]["assoc"] as $nom => $valeur)
{
	$datas = explode("|",$valeur);
	$countAction = 0;
	echo "$nom = new Array (";
	switch($extactp = intval($valeur["extactp"])) //// primary action
	{
		case 1:  $fonc="ouvrir";     $icon="voir";       $dialog=$_SESSION["ws"]["dia"]["openFile"];     $lienWeb='memoLien'; break;
		case 2:  $fonc="ouvrirAvec"; $icon="voirplus";   $dialog=$_SESSION["ws"]["dia"]["openFileWith"]; $lienWeb='memoLien'; break;
		case 3:  $fonc="sauver";     $icon="save";       $dialog=$_SESSION["ws"]["dia"]["savePic"];      $lienWeb='memoLien'; break;
		case 4:  $fonc="naviguer";   $icon="goto";       $dialog=$_SESSION["ws"]["dia"]["toBrowse"];     $lienWeb='memoLien'; break;
		case 5:  $fonc="visiter";    $icon="web";        $dialog=$_SESSION["ws"]["dia"]["toVisit"];      $lienWeb='memoWeb';  break;
		case 6:  $fonc="afficher";   $icon="zoom";       $dialog=$_SESSION["ws"]["dia"]["toView"];       $lienWeb='memoLien'; break;
		case 7:  $fonc="visionner";  $icon="visio";      $dialog=$_SESSION["ws"]["dia"]["toWatch"];      $lienWeb='memoLien'; break;
		case 8:  $fonc="ecouter";    $icon="ecoute";     $dialog=$_SESSION["ws"]["dia"]["toListen"];     $lienWeb='memoLien'; break;
		case 9:  $fonc="imprimer";   $icon="print";      $dialog=$_SESSION["ws"]["dia"]["toPrint"];      $lienWeb='memoLien'; break;
		case 10: $fonc="dezipper";   $icon="unzip";      $dialog=$_SESSION["ws"]["dia"]["toDezip"];      $lienWeb='memoLien'; break;
		case 11: $fonc="editer";     $icon="edit";       $dialog=$_SESSION["ws"]["dia"]["toEdit"];       $lienWeb='memoLien'; break;
		case 12: $fonc="modifier";   $icon="edit";       $dialog=$_SESSION["ws"]["dia"]["toModify"];     $lienWeb='memoLien'; break;
		default: $fonc=$valeur["extactp"]; $icon="voir"; $dialog=$_SESSION["ws"]["dia"]["openFile"];     $lienWeb='memoLien'; break;
	}
	if($extactp != 0)
	{
		if($extactp != 3) //// 3=sauver(ファイルを保存)はすべてに共通にあとで追加されるのでパス。
		{
			if($extactp >= 10)
			{
				if($_SESSION["ws"]["auth3"] != "on"){ $valMod = 8; }
				else{ $valMod = 1; }
			}
			else{  $valMod = 6;  }
			echo "'<img src=".'"'.$_SESSION["ws"]["cheminImg"].$icon.".".$_SESSION["ws"]["formatExt"].'"'." class=\"boutonsMenuContext\"> <b>".addslashes($dialog)."</b>|$valMod|".$fonc."(".$lienWeb.")',"; $countAction++;
		}
	}
	else
	{
		$valMod = 6;
		$label  = $_SESSION["ws"]["dia"]["openFile"];
		$icone  = $_SESSION["ws"]["cheminImg"]."voir.";
		foreach($listeModules as $actMod)
		{
			if($actMod["name"] == $fonc)
			{
				$label = $actMod["labl"];
				$icone = "plugins/".$fonc."/icon.";
				if((preg_match("@edit@i", $label)))
				{
					if($_SESSION["ws"]["auth3"] != "on"){ $valMod = 8; }
					else{ $valMod = 1; };
				}
				else{ $valMod = 6; }
			}
		}
		if(is_valid_action($fonc)) //// 追加
		{
			echo "'<img src=".$icone.$_SESSION["ws"]["formatExt"]." class=\"boutonsMenuContext\"> <b>".addslashes($label)."</b>|".$valMod."|openModule(\'".$fonc."\',memoLien,\'".$icone.$_SESSION["ws"]["formatExt"]."\')',";
			$countAction++;
		}
//// 無効なアクションはメニューに表示もしない。(有効にしてもセレクト不可にされるが。)
/*
		else
		{
			echo "'<img src=".$icone.$_SESSION["ws"]["formatExt"]." class=\"boutonsMenuContext\"> <b>".addslashes($label)."</b>|8|openModule(\'".$fonc."\',memoLien,\'".$icone.$_SESSION["ws"]["formatExt"]."\')',";
			$countAction++;
		}
*/
	}
	switch($extacts = intval($valeur["extacts"])) //// secondary action
	{
		case 1:  $fonc="ouvrir";     $icon="voir";       $dialog=$_SESSION["ws"]["dia"]["openFile"];     $lienWeb='memoLien'; break;
		case 2:  $fonc="ouvrirAvec"; $icon="voirplus";   $dialog=$_SESSION["ws"]["dia"]["openFileWith"]; $lienWeb='memoLien'; break;
		case 3:  $fonc="sauver";     $icon="save";       $dialog=$_SESSION["ws"]["dia"]["savePic"];      $lienWeb='memoLien'; break;
		case 4:  $fonc="naviguer";   $icon="goto";       $dialog=$_SESSION["ws"]["dia"]["toBrowse"];     $lienWeb='memoLien'; break;
		case 5:  $fonc="visiter";    $icon="web";        $dialog=$_SESSION["ws"]["dia"]["toVisit"];      $lienWeb='memoWeb';  break;
		case 6:  $fonc="afficher";   $icon="zoom";       $dialog=$_SESSION["ws"]["dia"]["toView"];       $lienWeb='memoLien'; break;
		case 7:  $fonc="visionner";  $icon="visio";      $dialog=$_SESSION["ws"]["dia"]["toWatch"];      $lienWeb='memoLien'; break;
		case 8:  $fonc="ecouter";    $icon="ecoute";     $dialog=$_SESSION["ws"]["dia"]["toListen"];     $lienWeb='memoLien'; break;
		case 9:  $fonc="imprimer";   $icon="print";      $dialog=$_SESSION["ws"]["dia"]["toPrint"];      $lienWeb='memoLien'; break;
		case 10: $fonc="dezipper";   $icon="unzip";      $dialog=$_SESSION["ws"]["dia"]["toDezip"];      $lienWeb='memoLien'; break;
		case 11: $fonc="editer";     $icon="edit";       $dialog=$_SESSION["ws"]["dia"]["toEdit"];       $lienWeb='memoLien'; break;
		case 12: $fonc="modifier";   $icon="edit";       $dialog=$_SESSION["ws"]["dia"]["toModify"];     $lienWeb='memoLien'; break;
		default: $fonc=$valeur["extacts"]; $icon="edit"; $dialog=$_SESSION["ws"]["dia"]["toEdit"];       $lienWeb='memoLien'; break;
	}
	if($extacts != 0)
	{
		if($extacts != 3) //// 3=sauver(ファイルを保存)はすべてに共通にあとで追加されるのでパス。
		{
			if($extacts >= 10)
			{
				if($_SESSION["ws"]["auth3"] != "on"){ $valMod = 8; }
				else{  $valMod = 1;  }
			}
			else{ $valMod = 6; }
			echo "'<img src=".'"'.$_SESSION["ws"]["cheminImg"].$icon.".".$_SESSION["ws"]["formatExt"].'"'." class=\"boutonsMenuContext\"> <b>".addslashes($dialog)."</b>|$valMod|".$fonc."(".$lienWeb.")',"; $countAction++;
		}
	}
	else
	{
		$valMod = 1;
		$label  = $_SESSION["ws"]["dia"]["toEdit"];
		$icone  = $_SESSION["ws"]["cheminImg"]."edit.";
		foreach($listeModules as $actMod)
		{
			if($actMod["name"] == $fonc)
			{
				$label  = $actMod["labl"];
				$icone  = "plugins/".$fonc."/icon.";
				if((preg_match("@edit@i", $label)))
				{
					if($_SESSION["ws"]["auth3"] != "on"){ $valMod = 8; }
					else{  $valMod = 1;  }
				}
				else{ $valMod = 6; }
			}
		}
		if(is_valid_action($fonc)) //// 追加
		{
			echo "'<img src=".$icone.$_SESSION["ws"]["formatExt"]." class=\"boutonsMenuContext\"> <b>".addslashes($label)."</b>|".$valMod."|openModule(\'".$fonc."\',memoLien,\'".$icone.$_SESSION["ws"]["formatExt"]."\')',";
			$countAction++;
		}
//// 無効なアクションはメニューに表示もしない。(有効にしてもセレクト不可にされるが。)
/*
		else
		{
			echo "'<img src=".$icone.$_SESSION["ws"]["formatExt"]." class=\"boutonsMenuContext\"> <b>".addslashes($label)."</b>|8|openModule(\'".$fonc."\',memoLien,\'".$icone.$_SESSION["ws"]["formatExt"]."\')',";
			$countAction++;
		}
*/
	}
	if($countAction != 0)
	{
		echo "''";
	}
	echo ");\n";
	echo "items_$nom = $nom.concat(global);\n"; //// ここでコンテキストメニュー共通部を追加している。
}
?>
items_std = global;

<?php //// 画像のコンテキストメニューに項目を追加する。 ?> 
items_img = new Array(
<?php if($_SESSION["ws"]["auth2"]=="on"||$_SESSION["ws"]["auth3"]=="on") { ?>
	"<img src='style/"+styleActif+"/images/update.<?php echo $_SESSION["ws"]["formatExt"]?>' class='boutonsMenuContext'> <?php echo $_SESSION["ws"]["dia"]["refreshMini"]?>|1|actualiseMini(memoLien)",
<?php } ?>
<?php //// 背景画像に。とりあえず必要ない機能だ。 ?> 
/*
	"<img src='style/"+styleActif+"/images/pic.<?php echo $_SESSION["ws"]["formatExt"]?>' class='boutonsMenuContext'> <?php echo $_SESSION["ws"]["dia"]["background"]?>|6|fondEcran(memoLien)",
*/
	"<img src='style/"+styleActif+"/images/info.<?php echo $_SESSION["ws"]["formatExt"]?>' class='boutonsMenuContext'> <?php echo $_SESSION["ws"]["dia"]["property"]?>|6|detailer(memoLien,1)"
);
if(typeof(items_jpg)!="undefined") { items_jpg.pop();  items_jpg  = items_jpg.concat(items_img); }
if(typeof(items_jpeg)!="undefined"){ items_jpeg.pop(); items_jpeg = items_jpeg.concat(items_img); }
if(typeof(items_png)!="undefined") { items_png.pop();  items_png  = items_png.concat(items_img); }
if(typeof(items_gif)!="undefined") { items_gif.pop();  items_gif  = items_gif.concat(items_img); }
if(typeof(items_ico)!="undefined") { items_ico.pop();  items_ico  = items_ico.concat(items_img); }
if(typeof(items_bmp)!="undefined") { items_bmp.pop();  items_bmp  = items_bmp.concat(items_img); }

tabAction["dossier"] = "naviguer";
tabAction["sup"] = "remonter";
tabAction["trb"] = "naviguer";

<?php
$listeExt = "std|";
foreach($_SESSION["ws"]["assoc"] as $nom => $valeur)
{
	$datas = explode("|", $valeur);
	switch ($valeur["extactp"])
	{
		case "1":  $fonc="ouvrir";     $icon="voir";      break;
		case "2":  $fonc="ouvrirAvec"; $icon="voirplus";  break;
		case "3":  $fonc="sauver";     $icon="save";      break;
		case "4":  $fonc="naviguer";   $icon="goto";      break;
		case "5":  $fonc="visiter";    $icon="web";       break;
		case "6":  $fonc="afficher";   $icon="zoom";      break;
		case "7":  $fonc="visionner";  $icon="visio";     break;
		case "8":  $fonc="ecouter";    $icon="ecoute";    break;
		case "9":  $fonc="imprimer";   $icon="print";     break;
		case "10": $fonc="dezipper";   $icon="unzip";     break;
		case "11": $fonc="editer";     $icon="edit";      break;
		case "12": $fonc="modifier";   $icon="edit";      break;
		default:   $fonc=$valeur["extactp"]; $icon="edit"; break;
	}
	if(intval($valeur["extactp"]) != 0)
	{
		echo "tabAction['".$nom."']='".$fonc."';\n";
	}
	else
	{
		$valMod = 0;
		foreach($listeModules as $actMod)
		{
			if($actMod["name"] == $fonc)
			{
				$valMod = 1;
			}
			$icone = "plugins/".$fonc."/icon.";
		}
		if($valMod == 1)
		{
			echo "tabAction['".$nom."']='openModule(\'".$fonc."\',lienElement,\'".$icone.$_SESSION["ws"]["formatExt"]."\')';\n";
		}
		else
		{
			echo "tabAction['".$nom."']='sauver';\n";
		}
	}
	if(strlen($nom) > 0)
	{
		$listeExt .= "^".$nom."$|";
	}
}
echo 'listeExt = "'.substr($listeExt,0,strlen($listeExt)-1).'";'."\n";

?>
