<?php
/************************************************************************/
/*                                WEBSHARE                              */
/************************************************************************/
//
// Copyright (c) 2009 by Virginie Vivancos
// http://www.webshare.fr
//
// This program is free software. You can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License.
//
// =======================================================================
// Fonction : Affichage une image ou une miniature
// Nom      : pic.php
// Version  : 0.8.2
// Date     : 24/04/09
// =======================================================================
// WebShare0.8.2ακ1.7 : 2012 Tanabata version.
// Reformed by kiyoshi@kuragane.jp / 2012.02.09(κ1.0) - 2013.04.12(κ1.7+)
// =======================================================================

//// サムネイル、プレビューなどの画像を作成、あるいは送信する。
//// フォルダ内に画像がない場合は呼ばれない。
//// トレンドマイクロの.sjdc .iad1にアクセスされてエラーログが出るので認証include_once "auth.php"を追加した。

session_start();
include_once "auth.php"; //// 追加
include_once "../wspasswd/define.php";
include_once "fonctions.php";

// L'utilisateur ne peut pas effectuer d'opération au dessus de sa racine virtuelle
verifie($_REQUEST["pic"]);

// Récupération des paramètres
$nomSrv = $_SESSION["ws"]["serveurActif"];
$chemin = $_SESSION["ws"]["cheminActif"];

if(isset($_REQUEST["srv"])){ $nomSrv = $_REQUEST["srv"]; }
$typeSrv = $_SESSION["ws"]["$nomSrv"]["typeServeur"];
////if(isset($_REQUEST["imgSize"])){ $imgSize = $_REQUEST["imgSize"]; }else{ $imgSize = 0; } //// 使ってない。
if(isset($_REQUEST["h"])){       $valHaut = $_REQUEST["h"];       }else{ $valHaut = 0; }
if(isset($_REQUEST["v"])){       $valLarg = $_REQUEST["v"];       }else{ $valLarg = 0; }
////if(isset($_REQUEST["ratio"])){   $ratio   = $_REQUEST["ratio"];   }else{ $ratio   = 0; } //// 使ってない。

//if(function_exists("ini_set")) ini_set("memory_limit", "8M");

$pic         = stripslashes($_REQUEST["pic"]);
$cheminIcone = dirname($_SESSION["ws"]["rootAppli"])."/";

// Formatage des chemins utiles
if(strstr($pic, "http") !== false)
{
	$cheminGlobal = $pic;
	$dossier = blindeChemin("$chemin/".$_SESSION["ws"]["dossierActif"]); //// サーバー表示フォルダまでの絶対パス。
	$fichier = filename($pic);
}
else
{
	$rep     = stripslashes(blindeChemin(rawurldecode("$chemin/$pic")));
	$dossier = dirname($rep);
	$fichier = filename($rep);
	$cheminGlobal = blindeChemin("$dossier/$fichier");
}
$cheminPic = cheminMini($nomSrv, "$dossier/$fichier");

if(!empty($_REQUEST['typeimg'])){ $typeImg = $_REQUEST['typeimg']; }
if(!$typeImg)
{
	preg_match("@\.([^\.]*)$@u", filename($pic), $regs);
	$typeImg = $regs[1];
}
if(!$typeImg) //// さらにファイルより取得できるならば。ただしLinuxの場合。Windowsで取得できるのかは知らない。
{
	if($typeSrv == 2){ $_SESSION["ws"]["$nomSrv"]["connexion"] = connexionFTP($nomSrv); }
	$typeimg = F_getExtensionFromFile($nomSrv, $cheminGlobal);
	if($typeSrv == 2){ closeFTP($nomSrv); }
}
if($typeImg=="jpeg" || $typeImg=="jpe"){ $typeImg="jpg"; }
if(empty($typeImg)){ $typeImg = 'jpg'; }
else{ $typeImg = strtolower($typeImg); }

$typeMime = $_SESSION["ws"]["assoc"]["$typeImg"]["extmime"];

// Suppression de l'ancienne vignette si demande de mise à jour
if(isset($_REQUEST['update']) && ($_REQUEST['update'] == 1))
{
	if(!USE_wssite && $typeSrv == 2){ $_SESSION["ws"]["$nomSrv"]["connexion"] = connexionFTP($nomSrv); }
	if(F_is_file((USE_wssite?"wssite":$nomSrv), $cheminPic)){ F_unlink((USE_wssite?"wssite":$nomSrv), $cheminPic); }
	if(!USE_wssite && $typeSrv == 2){ closeFTP($nomSrv); }
}

// Modification de l'image
if(!empty($_REQUEST["modif"]) && ($_REQUEST["modif"] != 0)) //// 画像の編集。回転、サイズ変更等。
{
	if($typeSrv == 2){ $_SESSION["ws"]["$nomSrv"]["connexion"] = connexionFTP($nomSrv);}
	$cheminGlobal = blindeChemin("$chemin/".rawurldecode($pic));
	$cheminGlobalTemp = tempnam($_SESSION["ws"]["tempDir"], "TEMP_");
	rename($cheminGlobalTemp, ($cheminGlobalTemp .= ".$typeImg"));
	file_put_contents($cheminGlobalTemp, F_get_contents($nomSrv, $cheminGlobal));
	// Ouverture selon le type d'image
	switch($typeImg)
	{
		case "gif": $imgDepart = imagecreatefromgif($cheminGlobalTemp);  break;
		case "png": $imgDepart = imagecreatefrompng($cheminGlobalTemp);  break;
		default:    $imgDepart = imagecreatefromjpeg($cheminGlobalTemp); break;
	}
	if($imgDepart)
	{
		// Selon le type de modification demandé 
		switch($_REQUEST["modif"])
		{
			case "1":
				$imgFinale= imagemodify($imgDepart, 90, 1);
				break;
			case "2":
				$imgFinale= imagemodify($imgDepart, 180, 1);
				break;
			case "3":
				$imgFinale= imagemodify($imgDepart, 270, 1);
				break;
			case "4":
				$imgFinale= imagemodify($imgDepart, 0, 2);
				break;
			case "5":
				$imgFinale= imagemodify($imgDepart, 0, 3);
				break;
			case "6" :
				if(($valHaut == 0) && ($valLarg == 0)){ exit(); }
				if($valHaut == 0){ $valHaut = $valLarg*(imagesy($imgDepart)/imagesx($imgDepart)); }
				if($valLarg == 0){ $valLarg = $valHaut*(imagesx($imgDepart)/imagesy($imgDepart)); }
				$imgFinale = imagecreatetruecolor($valLarg, $valHaut);
				imagecopyresampled($imgFinale, $imgDepart, 0, 0, 0, 0, $valLarg, $valHaut, imagesx($imgDepart), imagesy($imgDepart));
				break;
		}
		if($imgFinale)
		{
			// Enregistrement selon le type d'image
			switch($typeImg)
			{
				case "gif":
					imagegif($imgFinale, $cheminGlobalTemp);
					break;
				case "png":
					imagepng($imgFinale, $cheminGlobalTemp);
					break;
				default :
					imagejpeg($imgFinale, $cheminGlobalTemp, 96);
					break;
			}
			unlink($cheminGlobal);
			F_put_contents($nomSrv, $cheminGlobal, file_get_contents($cheminGlobalTemp));
			unlink($cheminGlobalTemp);
			F_unlink((USE_wssite?"wssite":$nomSrv), $cheminPic); //// 古いMiniを削除。
			imagedestroy($imgFinale);
		}
		imagedestroy($imgDepart);
	}
	if($typeSrv == 2){ closeFTP($nomSrv); }
}

if(!empty($_REQUEST["mini"]) && ($_REQUEST["mini"] == 1)) //// サムネイル画像の読込、なければ作成を試みる。
{
	if(!USE_wssite && $typeSrv == 2){ $_SESSION["ws"]["$nomSrv"]["connexion"] = connexionFTP($nomSrv); } //// 余計なconnectをしないようちょっと複雑。

	// Création de la vignette uniquement
	if($contents = F_get_contents((USE_wssite?"wssite":$nomSrv), $cheminPic)) //// サムネイル画像が読み込めればそれを送信。
	{
		header("Content-type: image/jpeg");
		echo($contents);
	}
	else //// サムネイル画像がなければ、つくる。$cheminPicのサーバーのtypeに注意。USE_wssiteで変わる。
	{
		$cheminGlobalTemp = tempnam($_SESSION["ws"]["tempDir"], "TEMP_");
		rename($cheminGlobalTemp, ($cheminGlobalTemp .= ".$typeImg"));

		if(USE_wssite && $typeSrv == 2){ $_SESSION["ws"]["$nomSrv"]["connexion"] = connexionFTP($nomSrv);}
		file_put_contents($cheminGlobalTemp, F_get_contents($nomSrv, $cheminGlobal));
		if(USE_wssite && $typeSrv == 2){ closeFTP($nomSrv); }

		$cheminPicTemp = tempnam($_SESSION["ws"]["tempDir"], "TEMP_");
		rename($cheminPicTemp, ($cheminPicTemp .= ".$typeImg"));

		//// サムネイル画像をつくる。ディレクトリも必要なら作られる。ヘッダも送信される。
		//// 失敗したらアイコンが送信される。
		if(crea_mini($cheminGlobalTemp, $cheminPicTemp))
		{
			readfile($cheminPicTemp); //// サムネイル画像(またはアイコン)を送信する。
			F_put_contents((USE_wssite?"wssite":$nomSrv), $cheminPic, file_get_contents($cheminPicTemp)); //// 保存する。
		}

		unlink($cheminPicTemp);
		unlink($cheminGlobalTemp);
	}
	if(!USE_wssite && $typeSrv == 2){ closeFTP($nomSrv); }
}
else //// プレビュー画像の送信
{
	if($typeSrv == 2){ $_SESSION["ws"]["$nomSrv"]["connexion"] = connexionFTP($nomSrv); }

	// Affichage pleine résolution de l'image   
	header("Content-type: $typeMime");
	header("Cache-Control: no-cache, must-revalidate");

	if(PREVIEW_IMGQUALITY > 0 && PREVIEW_IMGQUALITY <= 100)
	{
		if($typeImg == "ico" || $typeImg == "gif") //// うまく透明処理できない。
		{
			echo F_get_contents($nomSrv, $cheminGlobal);
		}
		elseif(($libraryImg == "gd") && (($typeImg == "jpeg") || ($typeImg == "jpg")))
		{
			$gdImage = imagecreatefromstring(F_get_contents($nomSrv, $cheminGlobal));
			imagejpeg($gdImage, NULL, PREVIEW_IMGQUALITY);
			imagedestroy($gdImage);
		}
		elseif(($libraryImg == "im") && (($typeImg == "jpeg") || ($typeImg == "jpg"))) //// 試してないのでわからない。
		{
			$imgFinale = new Imagick();
			if($typeSrv == 2)
			{
				$cheminGlobalTemp_temp = tempnam($_SESSION["ws"]["tempDir"], "TEMP_");//////
				$cheminGlobalTemp = $cheminGlobalTemp_temp.".$typeImg";
				rename($cheminGlobalTemp_temp, $cheminGlobalTemp);
				file_put_contents($cheminGlobalTemp, F_get_contents($nomSrv, $cheminGlobal));
				$imgFinale->readImage($cheminGlobalTemp);
				unlink($cheminGlobalTemp);
			}
			else
			{
				$imgFinale->readImage($cheminGlobal);
			}
			eval("\$imgFinale->setCompression(Imagick::COMPRESSION_JPEG);");
			$imgFinale->setCompressionQuality(PREVIEW_IMGQUALITY);
			$imgFinale->setImageFormat('jpeg');
			echo $imgFinale;
			$imgFinale->clear();
			$imgFinale->destroy();
		}
		elseif($libraryImg=="ic" && escapeshellcmd($cheminGlobal) == $cheminGlobal)
		{
			$cheminTemp_temp = tempnam($_SESSION["ws"]["tempDir"], "TEMP_");
			$cheminTemp = $cheminTemp_temp.".$typeImg";
			rename($cheminTemp_temp, $cheminTemp);
			if($typeSrv == 2) ////// どうもここにバグがあるらしい。convert: missing an image filename `TEMP_prNATF.jpg'.
			{
				$cheminGlobalTemp_temp = tempnam($_SESSION["ws"]["tempDir"], "TEMP_");
				$cheminGlobalTemp = $cheminGlobalTemp_temp.".$typeImg";
				rename($cheminGlobalTemp_temp, $cheminGlobalTemp);
				file_put_contents($cheminGlobalTemp, F_get_contents($nomSrv, $cheminGlobal));
				exec('convert "'.$cheminGlobalTemp.'" -quality '.PREVIEW_IMGQUALITY.' "'.$cheminTemp.'"', $out);
				unlink($cheminGlobalTemp);
			}
			else
			{
				exec('convert "'.$cheminGlobal.'" -quality '.PREVIEW_IMGQUALITY.' "'.$cheminTemp.'"', $out);
			}
			echo F_get_contents("wstemp", $cheminTemp);
			unlink($cheminTemp);
		}
		else
		{
			echo F_get_contents($nomSrv, $cheminGlobal);
		}
	}
	else
	{
		echo F_get_contents($nomSrv, $cheminGlobal);
	}
	if($typeSrv == 2){ closeFTP($nomSrv); }
}

//if(function_exists("ini_restore")){ ini_restore("memory_limit"); }

exit;


// Fonction de rotation/symétrie/redimensionnement de l'image
function imagemodify($srcImg, $angle, $typeModif) //// $srcImgはLocalのこと。
{
	// Calcul des dimensions
	$srcX = imagesx($srcImg);
	$srcY = imagesy($srcImg);
	if(($angle == 0) || ($angle == 180))
	{
		$destX = $srcX;
		$destY = $srcY;
	}
	elseif(($angle == 90) || ($angle == 270))
	{
		$destX = $srcY;
		$destY = $srcX;
	}
	else
	{
		return $srcImg;
	}

	// Création de l'image de destination
	$rotate = imagecreatetruecolor($destX, $destY);
	imagealphablending($rotate, false);

	// Modification de l'image
	switch ($angle)
	{
		case 0:
		{
			if($typeModif == 2)
			{
				// Symétrie horizontale
				$destX--; $destY--;
				for($y = 0; $y < $srcY; $y++)
				{
					for($x = 0; $x < $srcX; $x++)
					{
						imagesetpixel($rotate, $destX - $x, $y, imagecolorat($srcImg, $x, $y));
					}
				}
			}
			elseif($typeModif == 3)
			{
				// Symétrie verticale      
				$destX--; $destY--;
				for($y = 0; $y < $srcY; $y++)
				{
					for($x = 0; $x < $srcX; $x++)
					{
						imagesetpixel($rotate, $x, $destY - $y, imagecolorat($srcImg, $x, $y));
					}
				}
			}
			break;
		}

		case 90:
		{
			// Rotation à 90
			$destX--;
			for($y = 0; $y < $srcY; $y++)
			{
				for($x = 0; $x < $srcX; $x++)
				{
					imagesetpixel($rotate, $destX - $y, $x, imagecolorat($srcImg, $x, $y));
				}
			}
			break;
		}

		case 180:
		{
			// Rotation à 180
			$destX--; $destY--;
			for($y = 0; $y < $srcY; $y++)
			{
				for($x = 0; $x < $srcX; $x++)
				{
					imagesetpixel($rotate, $destX - $x, $destY - $y, imagecolorat($srcImg, $x, $y));
				}
			}
			break;
		}

		case 270:
		{
			// Rotation à 270
			$destY--;
			for($y = 0; $y < $srcY; $y++)
			{
				for($x = 0; $x < $srcX; $x++)
				{
					imagesetpixel($rotate, $y, $destY - $x, imagecolorat($srcImg, $x, $y));
				}
			}
			break;
		}
	}
	return $rotate;
}

function crea_mini($cheminGlobal, $cheminPic) //// $cheminGlobal, $cheminPicはいずれもLOCALのこと。
{
	global $libraryImg, $typeImg, $typeMime;

	$result = TRUE;
	// Création du répertoire 'wswinis' si non existant
	if(!is_dir($dossierMini = dirname($cheminPic)))
	{
		ensure_dirpath($dossierMini);
	}
	// Librairie GD
	if($libraryImg == "gd")
	{
		// Ouverture selon le type d'image
		switch($typeImg)
		{
			case "gif":
				$imgDepart = imagecreatefromgif($cheminGlobal);
				if(!$imgDepart)
				{ $imgDepart = imagecreatefromgif($cheminIcone.$_SESSION["ws"]["cheminIcn"]."gif.".$_SESSION["ws"]["formatExt"]); }
			break;
			case "png":
				$imgDepart = imagecreatefrompng($cheminGlobal);
				if(!$imgDepart)
				{ $imgDepart = imagecreatefromgif($cheminIcone.$_SESSION["ws"]["cheminIcn"]."png.".$_SESSION["ws"]["formatExt"]); }
			break;
			default:
				$imgDepart = imagecreatefromjpeg($cheminGlobal);
				if(!$imgDepart)
				{ $imgDepart = imagecreatefromgif($cheminIcone.$_SESSION["ws"]["cheminIcn"]."jpg.".$_SESSION["ws"]["formatExt"]); }
			break;
		}
		// Calcul des dimensions
		// Taille maxi de la vignette
		$largeurMaxi = $hauteurMaxi = MINIMAXSIZE;
		$largeur = imagesx($imgDepart);
		$hauteur = imagesy($imgDepart);
		// Pour les petites images
		if(($largeur <= $largeurMaxi) && ($hauteur <= $hauteurMaxi))
		{
			$largeurMaxi = $largeur;
			$hauteurMaxi = $hauteur;
			$imgFinale = imagecreatetruecolor($largeurMaxi, $hauteurMaxi);
			$white = imagecolorallocate($imgFinale, 255, 255, 255);
			imagefill($imgFinale, 0, 0, $white);
			imagecopy($imgFinale, $imgDepart, 0, 0, 0, 0, $largeur, $hauteur);
		}
		else
		{
			// Pour les grandes images 
			if($largeur < $hauteur){ $largeurMaxi = ($hauteurMaxi/$hauteur)*$largeur; }
			else{ $hauteurMaxi = ($largeurMaxi/$largeur)*$hauteur; }
			$imgFinale = imagecreatetruecolor($largeurMaxi, $hauteurMaxi);
			$white = imagecolorallocate($imgFinale, 255, 255, 255);
			imagefill($imgFinale, 0, 0, $white);
			imagecopyresampled($imgFinale, $imgDepart, 0, 0, 0, 0, $largeurMaxi, $hauteurMaxi, $largeur, $hauteur);
		}
		// Enregistrement de la vignette
		if(imagejpeg($imgFinale, $cheminPic, 80) === false)
		{
			header('Content-type: image/png');
			$cheminPic = $cheminIcone.$_SESSION["ws"]["cheminIcn"].$typeImg.".".$_SESSION["ws"]["formatExt"];
			$result = FALSE;
		}
		else
		{
			header("Content-type: image/jpeg");
			chmod($cheminPic, NEWFILE_PERM);
			$result = TRUE;
		}
		imagedestroy($imgDepart);
		imagedestroy($imgFinale);
	}
	elseif($libraryImg == "im") // Librairie Imagick
	{
		$imgFinale = new Imagick();
		$imgFinale->readImage($cheminGlobal);
		if($libraryImg == "im"){ eval("\$imgFinale->setCompression(Imagick::COMPRESSION_JPEG);"); }
		$imgFinale->setCompressionQuality(60);
		$imgFinale->setImageFormat('jpeg');

		// Taille maxi de la vignette
		$largeurMaxi = $hauteurMaxi = MINIMAXSIZE;
		$largeur = $imgFinale->getImageWidth();
		$hauteur = $imgFinale->getImageHeight();
		if(($largeur <= $largeurMaxi) && ($hauteur <= $hauteurMaxi))
		{
			$largeurMaxi=$largeur; $hauteurMaxi=$hauteur;
		}
		else
		{
			if($largeur < $hauteur){ $largeurMaxi = ($hauteurMaxi/$hauteur)*$largeur; }
			else{ $hauteurMaxi = ($largeurMaxi/$largeur)*$hauteur; }
		}

		header("Content-type: image/jpeg");
		eval("\$imgFinale->resizeImage($largeurMaxi, $hauteurMaxi, Imagick::FILTER_LANCZOS, 1);");
		$fp = fopen($cheminPic, 'w+');
		fwrite($fp, $imgFinale);
		fclose($fp);
		$imgFinale->clear();
		$imgFinale->destroy();
		$result = (is_file($cheminPic) && filesize($cheminPic));
	}
	elseif($libraryImg == "ic")
	{
		if($cheminGlobal == escapeshellcmd($cheminGlobal))
		{
			if($typeImg == 'jpg' || $typeImg == 'jpeg')
			{
				exec('convert "'.$cheminGlobal.'" -define jpeg:size='.MINIMAXSIZE.'x'.MINIMAXSIZE.' -quality 80 -resize "'.MINIMAXSIZE.'x'.MINIMAXSIZE.'>" "'.$cheminPic.'"', $out); //// -defineオプションはspeed upのため
			}
			elseif($typeImg == 'png' || $typeImg == 'gif')
			{
				exec('convert "'.$cheminGlobal.'" -quality 90 -resize "'.MINIMAXSIZE.'x'.MINIMAXSIZE.'>" "'.$cheminPic.'"', $out);
			}
			elseif($typeImg == 'pdf') //// hetemlのサーバーのimagemagickはpdfの取扱を設定していないようだ。
			{
				//// -alpha opaque -fill whiteは透過部分が黒になってしまう対策。
				exec('convert -alpha opaque -fill white -quality 90 -resize "'.(MINIMAXSIZE-4).'x'.(MINIMAXSIZE-4).'>" "'.$cheminGlobal.'[0]" "jpg:' .$cheminPic.'.jpg"', $out);
				if(1) // trim後枠に納め直す方法。
				{ exec('convert "'.$cheminPic.'.jpg" -bordercolor "#FFFFFF" -border 2x2 "jpg:' .$cheminPic.'"', $out); } //// 単に2x2pxの枠
				else // MINMAXSIZExMINIMAXSIZEの中央に
				{ exec('convert "'.$cheminPic.'.jpg" -size "'.MINIMAXSIZE.'x'.MINIMAXSIZE.'" xc:white +swap -gravity center -composite "jpg:' .$cheminPic.'"', $out); }
				unlink($cheminPic.'.jpg');
			}
			else
			{
				exec('convert "'.$cheminGlobal.'" -quality 90 -resize "'.MINIMAXSIZE.'x'.MINIMAXSIZE.'>" "jpg:'.$cheminPic.'"', $out);
			}
			chmod($cheminPic, NEWFILE_PERM);
		}
		if(!is_file($cheminPic) || !filesize($cheminPic)) //// サムネイル作成は失敗している。
		{
			if(is_file($cheminPic) && !filesize($cheminPic)){ unlink($cheminPic); } //// 失敗したファイルは消す。
			//// 代わりのアイコンを返信。
			header('Content-type: image/png');
			if(!is_file($cheminPic = '../'.$_SESSION["ws"]["cheminIcn"].$typeImg.'.'.$_SESSION["ws"]["formatExt"]))
			{ $cheminPic = '../'.$_SESSION["ws"]["cheminIcn"].'div'.'.'.$_SESSION["ws"]["formatExt"]; }
			$result = FALSE;
		}
		else
		{
			header('Content-type: image/jpeg');
			$result = TRUE;
		}
	}
	return($result);
}

?>
