<?php
/************************************************************************/
/*                                WEBSHARE                              */
/************************************************************************/
//
// Copyright (c) 2009 by Virginie Vivancos
// http://www.webshare.fr
//
// This program is free software. You can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License.
//
// =======================================================================
// Fonction : Renomme un dossier ou un fichier
// Nom      : renommer.php
// Version  : 0.8.2
// Date     : 24/04/09
// =======================================================================
// WebShare0.8.2ακ1.7 : 2012 Tanabata version.
// Reformed by kiyoshi@kuragane.jp / 2012.02.09(κ1.0) - 2012.07.07(κ1.7)
// =======================================================================

//// ファイル、フォルダの名前の変更

header ("Content-type: text/html; charset=utf-8");

session_start();
include_once "auth.php";
include_once "../wspasswd/define.php";
include_once "fonctions.php";

// L'utilisateur ne peut pas effectuer d'opération au dessus de sa racine virtuelle
verifie($_REQUEST["nomLien"]);
verifie($_REQUEST["nomNouveau"]);

$l_sql = new class_sql();
$l_sql->connect();

// Récupération des informations serveurs
if(!empty($_REQUEST["nomSrv"])){ $nomSrv = $_REQUEST["nomSrv"]; }
else{ $nomSrv = $_SESSION["ws"]["serveurActif"]; }
$nomPro  = $_REQUEST["nomPro"]; //// ローカルかFTPか。
$typeSrv = $_SESSION["ws"]["$nomSrv"]["typeServeur"];
$chemin  = blindeChemin($_SESSION["ws"]["$nomSrv"]["rootServeur"]."/".$_SESSION["ws"]["$nomSrv"]["repServeur"]);

// L'utilisateur doit être autorisé à effectuer l'opération
if($_SESSION["ws"]["auth4"] == "on")
{
	// Les deux noms doivent être remplis obligatoirement
	if(!empty($_REQUEST["nomLien"]) && !empty($_REQUEST["nomNouveau"]))
	{
		// Construction des chemins
		$nomLien = stripslashes(rawurldecode(trim($_REQUEST["nomLien"])));
		$nomNouveau = convCar(stripslashes(rawurldecode(trim($_REQUEST["nomNouveau"]))));
		$extNouveau = rawurldecode(trim($_REQUEST["extNouveau"]));
		if(!empty($extNouveau)){ $nomNouveau .= ".".$extNouveau; }

		$cheminElement = blindeChemin(convertUTF8("$chemin/$nomLien"));
		$cheminGlobal  = dirname($cheminElement);
		$cheminNouveau = blindeChemin("$cheminGlobal/$nomNouveau");
		if($cheminNouveau{ strlen($cheminNouveau)-1 } == '.')
		{ $cheminNouveau = substr($cheminNouveau, 0, strlen($cheminNouveau)-1); }
		if($nomNouveau{ strlen($nomNouveau)-1 } == '.')
		{ $nomNouveau = substr($nomNouveau, 0, strlen($nomNouveau)-1); }

		// Test du contenu des variables
		if((preg_match($_SESSION["ws"]["varsUser"], $_REQUEST["nomNouveau"]))
		|| (preg_match($_SESSION["ws"]["varsUser"], $_REQUEST["extNouveau"])))
		{
			$tabLog = array("11", "-1", $_SESSION["ws"]["dia"]["noPermission"], $_SESSION["ws"]["nomUser"], $cheminElement, $nomNouveau, "");
			$l_sql->logAction($tabLog);
			$l_sql->disconnect();
			echo $_SESSION["ws"]["dia"]["noPermission"];
			exit;
		}
		if($typeSrv == "2"){ $_SESSION["ws"]["$nomSrv"]["connexion"] = connexionFTP($nomSrv); }
		// Renommage du fichier
		if(F_rename($nomSrv, $cheminElement, $cheminNouveau) === false)
		{
			$message = (($_REQUEST["nomPro"] != "dossier") ? $_SESSION["ws"]["dia"]["theFile"] : $_SESSION["ws"]["dia"]["theDir"])." '".filename($nomLien)."' ".$_SESSION["ws"]["dia"]["hasNotBeen"]." ".$_SESSION["ws"]["dia"]["renamed"]." ".$_SESSION["ws"]["dia"]["into"]." '".$nomNouveau."'. ".$erreur;
		}
		else
		{
			moveMiniComFAV($nomSrv, $cheminElement, 'rename', $nomSrv, $cheminNouveau);
			$message = (($_REQUEST["nomPro"]!="dossier")?$_SESSION["ws"]["dia"]["theFile"]:$_SESSION["ws"]["dia"]["theDir"])." '".filename($nomLien)."' ".$_SESSION["ws"]["dia"]["hasBeen"]." ".$_SESSION["ws"]["dia"]["renamed"]." ".$_SESSION["ws"]["dia"]["into"]." '".$nomNouveau."'  ".$_SESSION["ws"]["dia"]["withSuccess"];
		}
		if($typeSrv == "2"){ closeFTP($nomSrv); }
	}
}
else
{
	$message = $_SESSION["ws"]["dia"]["prohibited"];
}

echo $message;

$tabLog = array("11", "1", $message, $_SESSION["ws"]["nomUser"], $cheminElement, $nomNouveau, "");
$l_sql->logAction($tabLog);
$l_sql->disconnect();

?>
