String.prototype.lengthInPixel = function()
{
    var ruler = $("__ruler");
    ruler.innerHTML = this;
    return ruler.offsetWidth;
}

String.prototype.trimToPixel = function(length)
{
    var tmp = this;
    var trimmed = this;
    if (tmp.lengthInPixel() > length)
    {
        trimmed += "...";
        while (trimmed.lengthInPixel() > length)
        {
            tmp = tmp.substring(0, tmp.length-1);
            trimmed = tmp + "...";
        }
    }

    return trimmed;
}

Event.observe(window, 'load', function() {
	
	KmLoader.success = function(json, requestId) {
		var componentName = KmLoader.getDiv(requestId);
		// contentDiv is a UL <- bad var name.
		var contentDiv = $(componentName);
		var outerContentDiv = $('outer_' + componentName);
		
		if ($('__ruler') == null) {
			var ruler = new Element('span', {'id':'__ruler', style:'visibility: hidden; white-space: nowrap; font-size:10px;line-height: 1.3em;'});
			$$('body')[0].insert(ruler);
		}
		// font: 12px/18px "Lucida Grande", "Lucida Sans Unicode", Helvetica, Arial, Verdana, sans-serif;
		contentDiv.innerHTML = '';
//		alert("About the battery indicator lights".lengthInPixel());
		if(json==undefined || json==null) {
			//alert('Something went wrong. Please try again!') 
		} else if(json['results'].length>0) {
			
			var maxLength = componentName=='related_discussions' ? 70 : 100;
			var maxItems = 5;
			var pixelsPerLine = 162;
			var maxTLength = componentName=='related_discussions'? pixelsPerLine*2: pixelsPerLine*3;
			for(i=0;i<json['results'].length && i<maxItems;i++) {
				//do not show results that have the same title as the article we are looking at
				var showResult = ((componentName=="related_articles" || componentName=="related_hotdiscussions") && 
					ACUtil.trim(json.results[i].title).substring(0, 60)==ACUtil.trim($('article').getElementsByTagName('h1')[0].innerHTML).substring(0,60)) ? false : true;
								
				if(showResult) {
					var title = json.results[i].title;															
					contentDiv.innerHTML += "<li><a href='" + json.results[i].url + "' onclick=\"s_objectID='" +  json.results[i].url + "_p" + requestId + "-" + i + "';\">" + title.trimToPixel(maxTLength) + "</a></li>";
				}else {
					maxItems++;
				}
			}
			
			if(ACUtil.trim(contentDiv.innerHTML)!='') {
				Effect.BlindDown(outerContentDiv , {duration: 0.2} );
			}
		}	
	}
	
	KmLoader.error = function(errorMsg, requestId) {
		var contentDiv = $(KmLoader.getDiv(requestId));
		var outerContentDiv = $('outer_' + KmLoader.getDiv(requestId));
		
		contentDiv.innerHTML = '';
		//alert('RequestId: ' + requestId + " Error: " + errorMsg);
	}
	
	KmLoader.getDiv = function(requestId) {
		var divName;
		if(requestId==1) {
			divName = 'related_discussions';
		}
		else if(requestId==2) {
			divName = 'related_articles';
		}
		else if(requestId==3) {
			divName = 'related_hotdiscussions';
		}
		else if(requestId==4) {
			divName = 'related_videos';
		}
		return divName;
	}

});