<?php

// サイトの設定をいくつか追加。

// サムネイル画像やコメントファイルをどこにつくるか。
// TRUEでサムネイル画像とコメントファイルをWebShareアプリケーション側のwssiteフォルダに作成保存する。
//  ただしこの場合webshareを通さず元のファイル名を変えたり削除したりするとデータの自動修正はされない。
// FALSEでポイントしているサーバーのそれぞれのディレクトリのwsminisという名前のフォルダ内につくられる。
//  但しすべてのフォルダに(HTTPサーバーあるいはFTPサーバーの)書込権限がないといけない。
// Make parameters in program installed site or not.
define("USE_wssite", TRUE);

// 作成するサムネイル画像のサイズ(px)。
// サムネイルの表示サイズと同じか、あるいは他にも使いたいなら少し大きくてもいい。現在サムネイル表示は100。
// Max size of miniature (px).
define("MINIMAXSIZE", 120);

// FTP接続をPassiveモードで行うか否か。TRUE or FALSE
// PASSIVEの方がつながりやすいようだ。
// Use FTP passive connection or not.
define("FTP_PASSIVE", TRUE);

// FTPの場合各種のファイル情報を取得するためのアクセスによって表示が遅くなることがあります。
// このためファイルリストをメモリーにバッファーして表示速度を速めますが、この時間を過ぎたら更新します。
// 単位は秒、ひととおり画面が表示される程度の時間がいいと思われます。0にするとバッファーしません。
// FTP filelist buffering time (sec).
define("FTP_BUFTIME", 5);

// SQLデータサーバーのタイプを指定します。使用可能なPHP Moduleに応じて設定してください。
// "None"を指定すればデータサーバーは使わず wspasswd/conf.iniを使いますが機能は多少限定されます。
// SQLサーバーはログやお薦めなどに使用されます。
// 途中で変えるとやり直しになります。MySQLを使うほどでもありません。あとで移転に少し苦労します。
// Change value by your Installed PHP Module type.
// SQL Server type: "MySQL","SQLite2","SQLite2PDO","SQLite3PDO". (Or "None".)
define("SQL_TYPE", "None");
//define("SQL_TYPE", "SQLite3PDO");
//define("SQL_TYPE", "MySQL");

// SQLに記録するログの最大件数。越えると古いのから削除されます。
// SQLを使わない場合ログは wslogに保存されます。必要に応じて手動で削除してください。
// Max log lines of SQL.
define("SQL_LOG_MAX", 100);

// 日本語のファイル名でファイルを書込した場合、エスケープ("日本語"->"%u65E5%u672C%u8A9E"の形に)するか。
// UTF-8以外のサーバー及びファイル名に日本語を使えないソフトがからむ場合はTRUEにしておいた方が安全。
// WebShareでの表示は日本語に変換されて表示されますので見た目はさほど変わりません。(表示順は変わる。)
// ただしlsコマンドや他のファイルブラウザなどで生のファイル名を見た場合はわかりにくくなります。
// Escape multi-byte chars in filename or not.
define("ESCAPE_FILENAME", TRUE);

// 新規作成のディレクトリとファイルに与えるパーミッション。
// 同じディレクトリをローカルとFTPで共用するとき、あるいはレンタルサーバー等でHTTPサーバーのアクセス権を
//  自由に設定できないときなど、場合によっては0777,0666をあたえないといけないかもしれない。
// （通常、所有者が異なるためお互い書込できない。読出しのみならいいが。セキュリティを考慮して決める。）
// まずローカルに新規作成するフォルダとファイルのパーミッション。
// HTTPサーバーのアクセス権が所有者、グループのとき。
// Directory permissin when make directory.
define("NEWDIR_PERM",  0777);
// File permission when make file.
define("NEWFILE_PERM", 0666);
// FTPサーバーの場合。同様に接続アカウントのアクセス権を考慮して。ftp anonimousを許すとき0777, 0666は危険。
// FTP directory permissin when make directory.
define("NEWFTPDIR_PERM",  0777);
// FTP file permission when make file.
define("NEWFTPFILE_PERM", 0666);

// どのユーザーのレベルでごみ箱をエクスプローラ画面に表示するか。ごみ箱の有効無効には関係なし。
// 0:表示しない。1:Owner, 2:Group, 3:User。基本的に編集権限がないなら表示しないほうがいい。
// User level of display corbaille in explorer window.
define("EXPLORER_CORBEILLE", 3);

// アクセスロック(アンロック)アイコンを表示するユーザのレベル。
// 0:表示しない。1:Owner, 2:Group, 3:User。基本的に編集権限がないなら表示しないほうがいい。
// User level of display locked icon.
define("LOCKED_ICON", 2);
// User level of display unlocked icon.
define("UNLOCKED_ICON", 3);

// 画像の拡大表示画面で画像の回転、リサイズ等の画像編集用コンテキストメニューを表示するユーザのレベル。
// ただし簡易的な処理なので、できれば専用のソフトを使った方がいいようだ。
// 0:表示しない。1:Owner, 2:Group, 3:User。基本的に編集権限がないなら表示しないほうがいい。
// User level to show image modify context menu.
define("MENU_IMAGEMODIFY", 2);

// ナビゲータ画面にコンテキストメニューボタン(+)を表示するか。
// 表示しなくても実用上全く差し支えない。
// Display context menu button or not.
define("CONTEXT_BUTTON", FALSE);

// サーバーディスクの容量、空き容量等の情報をさらしたくなければFALSEに。
// TRUEだとトップ画面の左下とエクスプローラ画面のサーバー名にカーソルをあてた時表示されます。
// Display disk info(free space, etc.) or not.
define("SHOW_DISKINFO", TRUE);

// プレビュー画面に表示する写真の圧縮品質を指定します。
// 表示速度からいえば通信回線回線が遅い場合画像品質を落として(数字を小さくして)ファイル容量を小さくした方が少し早いようです。
// 0で品質は変えずにそのまま表示されます。
// Preview image comressing quality factor(30:Low Quality-100:High). 0 is no compress.
define("PREVIEW_IMGQUALITY", 50);

// ブックマークウィンドウにブックマーク追加用ウィンドウを表示するか否か。
// 表示しなくてもコンテキストメニューからできるので何ら問題はない。
// Display Add to Favoris Window or not.
define("ADDFAV_WINDOW", FALSE);

// 特別設定。
define("NOT_RSS", TRUE); //// TRUEならRSSは表示されない。

?>
